## com.mysql.jdbc
Class ReplicationConnection

    java.lang.Object
      com.mysql.jdbc.ReplicationConnection

All Implemented Interfaces:
  ConnectionProperties, PingTarget, java.sql.Connection, java.sql.Wrapper

    public class ReplicationConnection

extends java.lang.Object
implements Connection, PingTarget

Connection that opens two connections, one two a replication master, and another to one or more slaves, and decides to use master when the connection is not read-only, and use slave(s) when the connection is read-only.

Field Summary
`protected Connection` `currentConnection`
`protected Connection` `masterConnection`
`protected Connection` `slavesConnection`

Fields inherited from interface java.sql.Connection
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`protected` `ReplicationConnection()`
`` `ReplicationConnection(java.util.Properties masterProperties, java.util.Properties slaveProperties)`

Method Summary
`void` `changeUser(java.lang.String userName, java.lang.String newPassword)` Changes the user on this connection by performing a re-authentication.
`void` `clearHasTriedMaster()`
`void` `clearWarnings()`
`java.sql.PreparedStatement` `clientPrepareStatement(java.lang.String sql)` Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `clientPrepareStatement(java.lang.String sql, int autoGenKeyIndex)` Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `clientPrepareStatement(java.lang.String sql, int[] autoGenKeyIndexes)` Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `clientPrepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `clientPrepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `clientPrepareStatement(java.lang.String sql, java.lang.String[] autoGenKeyColNames)` Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`void` `close()`
`void` `commit()`
`java.sql.Statement` `createStatement()`
`java.sql.Statement` `createStatement(int resultSetType, int resultSetConcurrency)`
`java.sql.Statement` `createStatement(int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`void` `doPing()`
`java.lang.String` `exposeAsXml()` Returns a description of the connection properties as an XML document.
`int` `getActiveStatementCount()` Returns the number of statements active on this connection, which haven't been .close()d.
`boolean` `getAllowLoadLocalInfile()` DOCUMENT ME!
`boolean` `getAllowMultiQueries()` DOCUMENT ME!
`boolean` `getAllowNanAndInf()`
`boolean` `getAllowUrlInLocalInfile()`
`boolean` `getAlwaysSendSetIsolation()`
`boolean` `getAutoClosePStmtStreams()`
`boolean` `getAutoCommit()`
`boolean` `getAutoDeserialize()`
`boolean` `getAutoGenerateTestcaseScript()`
`int` `getAutoIncrementIncrement()` Returns the -session- value of 'auto_increment_increment' from the server if it exists, or '1' if not.
`boolean` `getAutoReconnectForPools()` DOCUMENT ME!
`boolean` `getAutoSlowLog()`
`boolean` `getBlobsAreStrings()`
`int` `getBlobSendChunkSize()`
`boolean` `getCacheCallableStatements()` DOCUMENT ME!
`boolean` `getCacheCallableStmts()`
`boolean` `getCachePreparedStatements()` DOCUMENT ME!
`boolean` `getCachePrepStmts()`
`boolean` `getCacheResultSetMetadata()` DOCUMENT ME!
`boolean` `getCacheServerConfiguration()`
`int` `getCallableStatementCacheSize()` DOCUMENT ME!
`int` `getCallableStmtCacheSize()`
`boolean` `getCapitalizeTypeNames()` DOCUMENT ME!
`java.lang.String` `getCatalog()`
`java.lang.String` `getCharacterSetResults()` DOCUMENT ME!
`java.lang.String` `getClientCertificateKeyStorePassword()`
`java.lang.String` `getClientCertificateKeyStoreType()`
`java.lang.String` `getClientCertificateKeyStoreUrl()`
`java.lang.String` `getClientInfoProvider()`
`boolean` `getClobberStreamingResults()` DOCUMENT ME!
`java.lang.String` `getClobCharacterEncoding()`
`boolean` `getCompensateOnDuplicateKeyUpdateCounts()`
`java.lang.String` `getConnectionCollation()` DOCUMENT ME!
`java.lang.String` `getConnectionLifecycleInterceptors()`
`int` `getConnectTimeout()` DOCUMENT ME!
`boolean` `getContinueBatchOnError()` DOCUMENT ME!
`boolean` `getCreateDatabaseIfNotExist()`
`Connection` `getCurrentConnection()`
`int` `getDefaultFetchSize()`
`boolean` `getDontTrackOpenResources()`
`boolean` `getDumpMetadataOnColumnNotFound()`
`boolean` `getDumpQueriesOnException()` DOCUMENT ME!
`boolean` `getDynamicCalendars()`
`boolean` `getElideSetAutoCommits()` DOCUMENT ME!
`boolean` `getEmptyStringsConvertToZero()`
`boolean` `getEmulateLocators()` DOCUMENT ME!
`boolean` `getEmulateUnsupportedPstmts()`
`boolean` `getEnablePacketDebug()` DOCUMENT ME!
`boolean` `getEnableQueryTimeouts()`
`java.lang.String` `getEncoding()` DOCUMENT ME!
`boolean` `getExplainSlowQueries()` DOCUMENT ME!
`boolean` `getFailOverReadOnly()` DOCUMENT ME!
`boolean` `getFunctionsNeverReturnBlobs()`
`boolean` `getGatherPerfMetrics()`
`boolean` `getGatherPerformanceMetrics()` DOCUMENT ME!
`boolean` `getGenerateSimpleParameterMetadata()`
`int` `getHoldability()`
`boolean` `getHoldResultsOpenOverStatementClose()`
`long` `getIdleFor()` Reports how long this connection has been idle.
`boolean` `getIgnoreNonTxTables()` DOCUMENT ME!
`boolean` `getIncludeInnodbStatusInDeadlockExceptions()`
`int` `getInitialTimeout()` DOCUMENT ME!
`boolean` `getInteractiveClient()` DOCUMENT ME!
`boolean` `getIsInteractiveClient()` DOCUMENT ME!
`boolean` `getJdbcCompliantTruncation()` DOCUMENT ME!
`boolean` `getJdbcCompliantTruncationForReads()`
`java.lang.String` `getLargeRowSizeThreshold()`
`int` `getLoadBalanceBlacklistTimeout()`
`java.lang.String` `getLoadBalanceStrategy()`
`java.lang.String` `getLocalSocketAddress()`
`int` `getLocatorFetchBufferSize()`
`com.mysql.jdbc.log.Log` `getLog()` Returns the log mechanism that should be used to log information from/for this Connection.
`java.lang.String` `getLogger()` DOCUMENT ME!
`java.lang.String` `getLoggerClassName()` DOCUMENT ME!
`boolean` `getLogSlowQueries()` DOCUMENT ME!
`boolean` `getLogXaCommands()`
`boolean` `getMaintainTimeStats()`
`Connection` `getMasterConnection()`
`int` `getMaxQuerySizeToLog()` DOCUMENT ME!
`int` `getMaxReconnects()` DOCUMENT ME!
`int` `getMaxRows()` DOCUMENT ME!
`java.sql.DatabaseMetaData` `getMetaData()`
`int` `getMetadataCacheSize()` Returns the number of queries that metadata can be cached if caching is enabled.
`int` `getNetTimeoutForStreamingResults()`
`boolean` `getNoAccessToProcedureBodies()`
`boolean` `getNoDatetimeStringSync()`
`boolean` `getNoTimezoneConversionForTimeType()`
`boolean` `getNullCatalogMeansCurrent()`
`boolean` `getNullNamePatternMatchesAll()`
`boolean` `getOverrideSupportsIntegrityEnhancementFacility()`
`int` `getPacketDebugBufferSize()` DOCUMENT ME!
`boolean` `getPadCharsWithSpace()`
`boolean` `getParanoid()` DOCUMENT ME!
`java.lang.String` `getPasswordCharacterEncoding()`
`boolean` `getPedantic()` DOCUMENT ME!
`boolean` `getPinGlobalTxToPhysicalConnection()`
`boolean` `getPopulateInsertRowWithDefaultValues()`
`int` `getPreparedStatementCacheSize()` DOCUMENT ME!
`int` `getPreparedStatementCacheSqlLimit()` DOCUMENT ME!
`int` `getPrepStmtCacheSize()`
`int` `getPrepStmtCacheSqlLimit()`
`boolean` `getProcessEscapeCodesForPrepStmts()`
`java.lang.String` `getProfilerEventHandler()`
`boolean` `getProfileSql()` DOCUMENT ME!
`boolean` `getProfileSQL()` DOCUMENT ME!
`java.lang.String` `getPropertiesTransform()`
`int` `getQueriesBeforeRetryMaster()` DOCUMENT ME!
`boolean` `getReconnectAtTxEnd()` DOCUMENT ME!
`boolean` `getRelaxAutoCommit()` DOCUMENT ME!
`int` `getReportMetricsIntervalMillis()` DOCUMENT ME!
`boolean` `getRequireSSL()` DOCUMENT ME!
`java.lang.String` `getResourceId()`
`int` `getResultSetSizeThreshold()`
`int` `getRetriesAllDown()`
`boolean` `getRewriteBatchedStatements()`
`boolean` `getRollbackOnPooledClose()`
`boolean` `getRoundRobinLoadBalance()` Returns whether or not hosts will be picked in a round-robin fashion.
`boolean` `getRunningCTS13()`
`int` `getSecondsBeforeRetryMaster()` DOCUMENT ME!
`int` `getSelfDestructOnPingMaxOperations()`
`int` `getSelfDestructOnPingSecondsLifetime()`
`java.lang.String` `getServerCharacterEncoding()` Returns the server's character set
`java.lang.String` `getServerTimezone()` Returns the 'serverTimezone' property.
`java.util.TimeZone` `getServerTimezoneTZ()` Returns the TimeZone that represents the configured timezone for the server.
`java.lang.String` `getSessionVariables()`
`Connection` `getSlavesConnection()`
`int` `getSlowQueryThresholdMillis()` DOCUMENT ME!
`long` `getSlowQueryThresholdNanos()`
`java.lang.String` `getSocketFactory()`
`java.lang.String` `getSocketFactoryClassName()` DOCUMENT ME!
`int` `getSocketTimeout()` DOCUMENT ME!
`java.lang.String` `getStatementComment()` Returns the comment that will be prepended to all statements sent to the server.
`java.lang.String` `getStatementInterceptors()`
`boolean` `getStrictFloatingPoint()` DOCUMENT ME!
`boolean` `getStrictUpdates()` DOCUMENT ME!
`boolean` `getTcpKeepAlive()`
`boolean` `getTcpNoDelay()`
`int` `getTcpRcvBuf()`
`int` `getTcpSndBuf()`
`int` `getTcpTrafficClass()`
`boolean` `getTinyInt1isBit()`
`boolean` `getTraceProtocol()` DOCUMENT ME!
`int` `getTransactionIsolation()`
`boolean` `getTransformedBitIsBoolean()`
`boolean` `getTreatUtilDateAsTimestamp()`
`java.lang.String` `getTrustCertificateKeyStorePassword()`
`java.lang.String` `getTrustCertificateKeyStoreType()`
`java.lang.String` `getTrustCertificateKeyStoreUrl()`
`java.util.Map` `getTypeMap()`
`boolean` `getUltraDevHack()`
`boolean` `getUseAffectedRows()`
`boolean` `getUseBlobToStoreUTF8OutsideBMP()`
`boolean` `getUseColumnNamesInFindColumn()`
`boolean` `getUseCompression()` DOCUMENT ME!
`java.lang.String` `getUseConfigs()`
`boolean` `getUseCursorFetch()`
`boolean` `getUseDirectRowUnpack()`
`boolean` `getUseDynamicCharsetInfo()`
`boolean` `getUseFastDateParsing()`
`boolean` `getUseFastIntParsing()`
`boolean` `getUseGmtMillisForDatetimes()`
`boolean` `getUseHostsInPrivileges()` DOCUMENT ME!
`boolean` `getUseInformationSchema()`
`boolean` `getUseJDBCCompliantTimezoneShift()`
`boolean` `getUseJvmCharsetConverters()`
`boolean` `getUseLegacyDatetimeCode()`
`boolean` `getUseLocalSessionState()`
`boolean` `getUseLocalTransactionState()`
`boolean` `getUseNanosForElapsedTime()`
`boolean` `getUseOldAliasMetadataBehavior()`
`boolean` `getUseOldUTF8Behavior()`
`boolean` `getUseOnlyServerErrorMessages()`
`boolean` `getUseReadAheadInput()`
`boolean` `getUseServerPreparedStmts()` DOCUMENT ME!
`boolean` `getUseServerPrepStmts()`
`boolean` `getUseSqlStateCodes()` DOCUMENT ME!
`boolean` `getUseSSL()` DOCUMENT ME!
`boolean` `getUseSSPSCompatibleTimezoneShift()`
`boolean` `getUseStreamLengthsInPrepStmts()` DOCUMENT ME!
`boolean` `getUseTimezone()` DOCUMENT ME!
`boolean` `getUseUltraDevWorkAround()` DOCUMENT ME!
`boolean` `getUseUnbufferedInput()` DOCUMENT ME!
`boolean` `getUseUnicode()` DOCUMENT ME!
`boolean` `getUseUsageAdvisor()` Returns whether or not the driver advises of proper usage.
`java.lang.String` `getUtf8OutsideBmpExcludedColumnNamePattern()`
`java.lang.String` `getUtf8OutsideBmpIncludedColumnNamePattern()`
`boolean` `getVerifyServerCertificate()`
`java.sql.SQLWarning` `getWarnings()`
`boolean` `getYearIsDateType()`
`java.lang.String` `getZeroDateTimeBehavior()`
`boolean` `hasTriedMaster()` Has this connection tried to execute a query on the "master" server (first host in a multiple host list).
`void` `initializeExtension(Extension ex)`
`boolean` `isAbonormallyLongQuery(long millisOrNanos)`
`boolean` `isClosed()`
`boolean` `isInGlobalTx()` Is this connection currently a participant in an XA transaction?
`boolean` `isMasterConnection()` Is this connection connected to the first host in the list if there is a list of servers in the URL?
`boolean` `isNoBackslashEscapesSet()` Is the server in a sql_mode that doesn't allow us to use \\ to escape things?
`boolean` `isReadOnly()`
`boolean` `isSameResource(Connection c)` Does this connection have the same resource name as the given connection (for XA)?
`boolean` `lowerCaseTableNames()` Is the server configured to use lower-case table names only?
`java.lang.String` `nativeSQL(java.lang.String sql)`
`boolean` `parserKnowsUnicode()` Does the server this connection is connected to support unicode?
`void` `ping()` Detect if the connection is still good by sending a ping command to the server.
`java.sql.CallableStatement` `prepareCall(java.lang.String sql)`
`java.sql.CallableStatement` `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.CallableStatement` `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int autoGeneratedKeys)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int[] columnIndexes)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`java.sql.PreparedStatement` `prepareStatement(java.lang.String sql, java.lang.String[] columnNames)`
`void` `releaseSavepoint(java.sql.Savepoint savepoint)`
`void` `reportQueryTime(long millisOrNanos)`
`void` `resetServerState()` Resets the server-side state of this connection.
`void` `rollback()`
`void` `rollback(java.sql.Savepoint savepoint)`
`java.sql.PreparedStatement` `serverPrepareStatement(java.lang.String sql)` Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `serverPrepareStatement(java.lang.String sql, int autoGenKeyIndex)` Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `serverPrepareStatement(java.lang.String sql, int[] autoGenKeyIndexes)` Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `serverPrepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)` Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `serverPrepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`java.sql.PreparedStatement` `serverPrepareStatement(java.lang.String sql, java.lang.String[] autoGenKeyColNames)` Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.
`void` `setAllowLoadLocalInfile(boolean property)` DOCUMENT ME!
`void` `setAllowMultiQueries(boolean property)` DOCUMENT ME!
`void` `setAllowNanAndInf(boolean flag)`
`void` `setAllowUrlInLocalInfile(boolean flag)`
`void` `setAlwaysSendSetIsolation(boolean flag)`
`void` `setAutoClosePStmtStreams(boolean flag)`
`void` `setAutoCommit(boolean autoCommit)`
`void` `setAutoDeserialize(boolean flag)`
`void` `setAutoGenerateTestcaseScript(boolean flag)`
`void` `setAutoReconnect(boolean flag)` DOCUMENT ME!
`void` `setAutoReconnectForConnectionPools(boolean property)` DOCUMENT ME!
`void` `setAutoReconnectForPools(boolean flag)` DOCUMENT ME!
`void` `setAutoSlowLog(boolean flag)`
`void` `setBlobsAreStrings(boolean flag)`
`void` `setBlobSendChunkSize(java.lang.String value)`
`void` `setCacheCallableStatements(boolean flag)` DOCUMENT ME!
`void` `setCacheCallableStmts(boolean flag)`
`void` `setCachePreparedStatements(boolean flag)` DOCUMENT ME!
`void` `setCachePrepStmts(boolean flag)`
`void` `setCacheResultSetMetadata(boolean property)` Sets whether or not we should cache result set metadata.
`void` `setCacheServerConfiguration(boolean flag)`
`void` `setCallableStatementCacheSize(int size)` Configures the number of callable statements to cache.
`void` `setCallableStmtCacheSize(int cacheSize)`
`void` `setCapitalizeDBMDTypes(boolean property)` DOCUMENT ME!
`void` `setCapitalizeTypeNames(boolean flag)` DOCUMENT ME!
`void` `setCatalog(java.lang.String catalog)`
`void` `setCharacterEncoding(java.lang.String encoding)` DOCUMENT ME!
`void` `setCharacterSetResults(java.lang.String characterSet)` DOCUMENT ME!
`void` `setClientCertificateKeyStorePassword(java.lang.String value)`
`void` `setClientCertificateKeyStoreType(java.lang.String value)`
`void` `setClientCertificateKeyStoreUrl(java.lang.String value)`
`void` `setClientInfoProvider(java.lang.String classname)`
`void` `setClobberStreamingResults(boolean flag)` DOCUMENT ME!
`void` `setClobCharacterEncoding(java.lang.String encoding)`
`void` `setCompensateOnDuplicateKeyUpdateCounts(boolean flag)`
`void` `setConnectionCollation(java.lang.String collation)` DOCUMENT ME!
`void` `setConnectionLifecycleInterceptors(java.lang.String interceptors)`
`void` `setConnectTimeout(int timeoutMs)` DOCUMENT ME!
`void` `setContinueBatchOnError(boolean property)` DOCUMENT ME!
`void` `setCreateDatabaseIfNotExist(boolean flag)`
`void` `setDefaultFetchSize(int n)`
`void` `setDetectServerPreparedStmts(boolean property)` DOCUMENT ME!
`void` `setDontTrackOpenResources(boolean flag)`
`void` `setDumpMetadataOnColumnNotFound(boolean flag)`
`void` `setDumpQueriesOnException(boolean flag)` DOCUMENT ME!
`void` `setDynamicCalendars(boolean flag)`
`void` `setElideSetAutoCommits(boolean flag)` DOCUMENT ME!
`void` `setEmptyStringsConvertToZero(boolean flag)`
`void` `setEmulateLocators(boolean property)` DOCUMENT ME!
`void` `setEmulateUnsupportedPstmts(boolean flag)`
`void` `setEnablePacketDebug(boolean flag)` DOCUMENT ME!
`void` `setEnableQueryTimeouts(boolean flag)`
`void` `setEncoding(java.lang.String property)` DOCUMENT ME!
`void` `setExplainSlowQueries(boolean flag)` DOCUMENT ME!
`void` `setFailedOver(boolean flag)`
`void` `setFailOverReadOnly(boolean flag)` DOCUMENT ME!
`void` `setFunctionsNeverReturnBlobs(boolean flag)`
`void` `setGatherPerfMetrics(boolean flag)`
`void` `setGatherPerformanceMetrics(boolean flag)` DOCUMENT ME!
`void` `setGenerateSimpleParameterMetadata(boolean flag)`
`void` `setHoldability(int holdability)`
`void` `setHoldResultsOpenOverStatementClose(boolean flag)`
`void` `setIgnoreNonTxTables(boolean property)` DOCUMENT ME!
`void` `setIncludeInnodbStatusInDeadlockExceptions(boolean flag)`
`void` `setInGlobalTx(boolean flag)` Set the state of being in a global (XA) transaction.
`void` `setInitialTimeout(int property)` DOCUMENT ME!
`void` `setInteractiveClient(boolean property)`
`void` `setIsInteractiveClient(boolean property)` DOCUMENT ME!
`void` `setJdbcCompliantTruncation(boolean flag)` DOCUMENT ME!
`void` `setJdbcCompliantTruncationForReads(boolean jdbcCompliantTruncationForReads)`
`void` `setLargeRowSizeThreshold(java.lang.String value)`
`void` `setLoadBalanceBlacklistTimeout(int loadBalanceBlacklistTimeout)`
`void` `setLoadBalanceStrategy(java.lang.String strategy)`
`void` `setLocalSocketAddress(java.lang.String address)`
`void` `setLocatorFetchBufferSize(java.lang.String value)`
`void` `setLogger(java.lang.String property)` DOCUMENT ME!
`void` `setLoggerClassName(java.lang.String className)` DOCUMENT ME!
`void` `setLogSlowQueries(boolean flag)` DOCUMENT ME!
`void` `setLogXaCommands(boolean flag)`
`void` `setMaintainTimeStats(boolean flag)`
`void` `setMaxQuerySizeToLog(int sizeInBytes)` DOCUMENT ME!
`void` `setMaxReconnects(int property)` DOCUMENT ME!
`void` `setMaxRows(int property)` DOCUMENT ME!
`void` `setMetadataCacheSize(int value)` Sets the number of queries that metadata can be cached if caching is enabled.
`void` `setNetTimeoutForStreamingResults(int value)`
`void` `setNoAccessToProcedureBodies(boolean flag)`
`void` `setNoDatetimeStringSync(boolean flag)`
`void` `setNoTimezoneConversionForTimeType(boolean flag)`
`void` `setNullCatalogMeansCurrent(boolean value)`
`void` `setNullNamePatternMatchesAll(boolean value)`
`void` `setOverrideSupportsIntegrityEnhancementFacility(boolean flag)`
`void` `setPacketDebugBufferSize(int size)` DOCUMENT ME!
`void` `setPadCharsWithSpace(boolean flag)`
`void` `setParanoid(boolean property)` DOCUMENT ME!
`void` `setPasswordCharacterEncoding(java.lang.String characterSet)`
`void` `setPedantic(boolean property)` DOCUMENT ME!
`void` `setPinGlobalTxToPhysicalConnection(boolean flag)`
`void` `setPopulateInsertRowWithDefaultValues(boolean flag)`
`void` `setPreferSlaveDuringFailover(boolean flag)`
`void` `setPreparedStatementCacheSize(int cacheSize)` DOCUMENT ME!
`void` `setPreparedStatementCacheSqlLimit(int cacheSqlLimit)` DOCUMENT ME!
`void` `setPrepStmtCacheSize(int cacheSize)`
`void` `setPrepStmtCacheSqlLimit(int sqlLimit)`
`void` `setProcessEscapeCodesForPrepStmts(boolean flag)`
`void` `setProfilerEventHandler(java.lang.String handler)`
`void` `setProfileSql(boolean property)` DOCUMENT ME!
`void` `setProfileSQL(boolean flag)` DOCUMENT ME!
`void` `setPropertiesTransform(java.lang.String value)`
`void` `setQueriesBeforeRetryMaster(int property)` DOCUMENT ME!
`void` `setReadOnly(boolean readOnly)`
`void` `setReconnectAtTxEnd(boolean property)` DOCUMENT ME!
`void` `setRelaxAutoCommit(boolean property)` DOCUMENT ME!
`void` `setReportMetricsIntervalMillis(int millis)` DOCUMENT ME!
`void` `setRequireSSL(boolean property)` DOCUMENT ME!
`void` `setResourceId(java.lang.String resourceId)`
`void` `setResultSetSizeThreshold(int threshold)`
`void` `setRetainStatementAfterResultSetClose(boolean flag)`
`void` `setRetriesAllDown(int retriesAllDown)`
`void` `setRewriteBatchedStatements(boolean flag)`
`void` `setRollbackOnPooledClose(boolean flag)`
`void` `setRoundRobinLoadBalance(boolean flag)` Sets whether or not hosts will be picked in a round-robin fashion.
`void` `setRunningCTS13(boolean flag)`
`java.sql.Savepoint` `setSavepoint()`
`java.sql.Savepoint` `setSavepoint(java.lang.String name)`
`void` `setSecondsBeforeRetryMaster(int property)` DOCUMENT ME!
`void` `setSelfDestructOnPingMaxOperations(int maxOperations)`
`void` `setSelfDestructOnPingSecondsLifetime(int seconds)`
`void` `setServerTimezone(java.lang.String property)` DOCUMENT ME!
`void` `setSessionVariables(java.lang.String variables)`
`void` `setSlowQueryThresholdMillis(int millis)` DOCUMENT ME!
`void` `setSlowQueryThresholdNanos(long nanos)`
`void` `setSocketFactory(java.lang.String name)`
`void` `setSocketFactoryClassName(java.lang.String property)` DOCUMENT ME!
`void` `setSocketTimeout(int property)` DOCUMENT ME!
`void` `setStatementComment(java.lang.String comment)` Sets the comment that will be prepended to all statements sent to the server.
`void` `setStatementInterceptors(java.lang.String value)`
`void` `setStrictFloatingPoint(boolean property)` DOCUMENT ME!
`void` `setStrictUpdates(boolean property)` DOCUMENT ME!
`void` `setTcpKeepAlive(boolean flag)`
`void` `setTcpNoDelay(boolean flag)`
`void` `setTcpRcvBuf(int bufSize)`
`void` `setTcpSndBuf(int bufSize)`
`void` `setTcpTrafficClass(int classFlags)`
`void` `setTinyInt1isBit(boolean flag)`
`void` `setTraceProtocol(boolean flag)` DOCUMENT ME!
`void` `setTransactionIsolation(int level)`
`void` `setTransformedBitIsBoolean(boolean flag)`
`void` `setTreatUtilDateAsTimestamp(boolean flag)`
`void` `setTrustCertificateKeyStorePassword(java.lang.String value)`
`void` `setTrustCertificateKeyStoreType(java.lang.String value)`
`void` `setTrustCertificateKeyStoreUrl(java.lang.String value)`
`void` `setTypeMap(java.util.Map arg0)`
`void` `setUltraDevHack(boolean flag)`
`void` `setUseAffectedRows(boolean flag)`
`void` `setUseBlobToStoreUTF8OutsideBMP(boolean flag)`
`void` `setUseColumnNamesInFindColumn(boolean flag)`
`void` `setUseCompression(boolean property)` DOCUMENT ME!
`void` `setUseConfigs(java.lang.String configs)`
`void` `setUseCursorFetch(boolean flag)`
`void` `setUseDirectRowUnpack(boolean flag)`
`void` `setUseDynamicCharsetInfo(boolean flag)`
`void` `setUseFastDateParsing(boolean flag)`
`void` `setUseFastIntParsing(boolean flag)`
`void` `setUseGmtMillisForDatetimes(boolean flag)`
`void` `setUseHostsInPrivileges(boolean property)` DOCUMENT ME!
`void` `setUseInformationSchema(boolean flag)`
`void` `setUseJDBCCompliantTimezoneShift(boolean flag)`
`void` `setUseJvmCharsetConverters(boolean flag)`
`void` `setUseLegacyDatetimeCode(boolean flag)`
`void` `setUseLocalSessionState(boolean flag)`
`void` `setUseLocalTransactionState(boolean flag)`
`void` `setUseNanosForElapsedTime(boolean flag)`
`void` `setUseOldAliasMetadataBehavior(boolean flag)`
`void` `setUseOldUTF8Behavior(boolean flag)`
`void` `setUseOnlyServerErrorMessages(boolean flag)`
`void` `setUseReadAheadInput(boolean flag)`
`void` `setUseServerPreparedStmts(boolean flag)` DOCUMENT ME!
`void` `setUseServerPrepStmts(boolean flag)`
`void` `setUseSqlStateCodes(boolean flag)` DOCUMENT ME!
`void` `setUseSSL(boolean property)` DOCUMENT ME!
`void` `setUseSSPSCompatibleTimezoneShift(boolean flag)`
`void` `setUseStreamLengthsInPrepStmts(boolean property)` DOCUMENT ME!
`void` `setUseTimezone(boolean property)` DOCUMENT ME!
`void` `setUseUltraDevWorkAround(boolean property)` DOCUMENT ME!
`void` `setUseUnbufferedInput(boolean flag)` DOCUMENT ME!
`void` `setUseUnicode(boolean flag)` DOCUMENT ME!
`void` `setUseUsageAdvisor(boolean useUsageAdvisorFlag)` Sets whether or not the driver advises of proper usage.
`void` `setUtf8OutsideBmpExcludedColumnNamePattern(java.lang.String regexPattern)`
`void` `setUtf8OutsideBmpIncludedColumnNamePattern(java.lang.String regexPattern)`
`void` `setVerifyServerCertificate(boolean flag)`
`void` `setYearIsDateType(boolean flag)`
`void` `setZeroDateTimeBehavior(java.lang.String behavior)`
`void` `shutdownServer()` Used by MiniAdmin to shutdown a MySQL server
`boolean` `supportsIsolationLevel()` Does the server this connection is connected to support quoted isolation levels?
`boolean` `supportsQuotedIdentifiers()` Does the server this connection is connected to support quoted identifiers?
`boolean` `supportsTransactions()` Does the server this connection is connected to support quoted identifiers?
`boolean` `useUnbufferedInput()` DOCUMENT ME!
`boolean` `versionMeetsMinimum(int major, int minor, int subminor)` Does the server this connection is connected to meet or exceed the given version?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.sql.Connection
`createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStruct, getClientInfo, getClientInfo, isValid, setClientInfo, setClientInfo`

Methods inherited from interface java.sql.Wrapper
`isWrapperFor, unwrap`

Field Detail

### currentConnection

    protected Connection currentConnection

### masterConnection

    protected Connection masterConnection

### slavesConnection

    protected Connection slavesConnection

Constructor Detail

### ReplicationConnection

    protected ReplicationConnection()

### ReplicationConnection

    public ReplicationConnection(java.util.Properties masterProperties,
                                 java.util.Properties slaveProperties)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    `clearWarnings` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    `close` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### commit

    public void commit()
                throws java.sql.SQLException

  Specified by:
    `commit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency,
                                              int resultSetHoldability)
                                       throws java.sql.SQLException

  Specified by:
    `createStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  Specified by:
    `getAutoCommit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Specified by:
    `getCatalog` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getCurrentConnection

    public Connection getCurrentConnection()

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

  Specified by:
    `getHoldability` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getMasterConnection

    public Connection getMasterConnection()

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Specified by:
    `getMetaData` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getSlavesConnection

    public Connection getSlavesConnection()

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Specified by:
    `getTransactionIsolation` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Specified by:
    `getTypeMap` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    `getWarnings` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    `isClosed` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    `isReadOnly` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

  Specified by:
    `nativeSQL` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency,
                                                  int resultSetHoldability)
                                           throws java.sql.SQLException

  Specified by:
    `prepareCall` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int autoGeneratedKeys)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency,
                                                       int resultSetHoldability)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int[] columnIndexes)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       java.lang.String[] columnNames)
                                                throws java.sql.SQLException

  Specified by:
    `prepareStatement` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint savepoint)
                          throws java.sql.SQLException

  Specified by:
    `releaseSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Specified by:
    `rollback` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### rollback

    public void rollback(java.sql.Savepoint savepoint)
                  throws java.sql.SQLException

  Specified by:
    `rollback` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setAutoCommit

    public void setAutoCommit(boolean autoCommit)
                       throws java.sql.SQLException

  Specified by:
    `setAutoCommit` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Specified by:
    `setCatalog` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setHoldability

    public void setHoldability(int holdability)
                        throws java.sql.SQLException

  Specified by:
    `setHoldability` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setReadOnly

    public void setReadOnly(boolean readOnly)
                     throws java.sql.SQLException

  Specified by:
    `setReadOnly` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

  Specified by:
    `setSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String name)
                                    throws java.sql.SQLException

  Specified by:
    `setSavepoint` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws java.sql.SQLException

  Specified by:
    `setTransactionIsolation` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### setTypeMap

    public void setTypeMap(java.util.Map arg0)
                    throws java.sql.SQLException

  Specified by:
    `setTypeMap` in interface `java.sql.Connection`
  Throws:
    `java.sql.SQLException`

### doPing

    public void doPing()
                throws java.sql.SQLException

  Specified by:
    `doPing` in interface `PingTarget`
  Throws:
    `java.sql.SQLException`

### changeUser

    public void changeUser(java.lang.String userName,
                           java.lang.String newPassword)
                    throws java.sql.SQLException

  Description copied from interface: `Connection`
  Changes the user on this connection by performing a re-authentication. If authentication fails, the connection will remain under the context of the current user.

  Parameters:
    `userName` - the username to authenticate with
    `newPassword` - the password to authenticate with
  Throws:
    `java.sql.SQLException` - if authentication fails, or some other error occurs while performing the command.

### clearHasTriedMaster

    public void clearHasTriedMaster()

### clientPrepareStatement

    public java.sql.PreparedStatement clientPrepareStatement(java.lang.String sql)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String)`

### clientPrepareStatement

    public java.sql.PreparedStatement clientPrepareStatement(java.lang.String sql,
                                                             int autoGenKeyIndex)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int)`

### clientPrepareStatement

    public java.sql.PreparedStatement clientPrepareStatement(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int, int)`

### clientPrepareStatement

    public java.sql.PreparedStatement clientPrepareStatement(java.lang.String sql,
                                                             int[] autoGenKeyIndexes)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int[])`

### clientPrepareStatement

    public java.sql.PreparedStatement clientPrepareStatement(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency,
                                                             int resultSetHoldability)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int, int, int)`

### clientPrepareStatement

    public java.sql.PreparedStatement clientPrepareStatement(java.lang.String sql,
                                                             java.lang.String[] autoGenKeyColNames)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the client, using client-side emulation (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, String[])`

### getActiveStatementCount

    public int getActiveStatementCount()

  Description copied from interface: `Connection`
  Returns the number of statements active on this connection, which haven't been .close()d.

### getIdleFor

    public long getIdleFor()

  Description copied from interface: `Connection`
  Reports how long this connection has been idle. This time (reported in milliseconds) is updated once a query has completed.

  Returns:
    number of ms that this connection has been idle, 0 if the driver is busy retrieving results.

### getLog

    public com.mysql.jdbc.log.Log getLog()
                                  throws java.sql.SQLException

  Description copied from interface: `Connection`
  Returns the log mechanism that should be used to log information from/for this Connection.

  Returns:
    the Log instance to use for logging messages.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getServerCharacterEncoding

    public java.lang.String getServerCharacterEncoding()

  Description copied from interface: `Connection`
  Returns the server's character set

  Returns:
    the server's character set.

### getServerTimezoneTZ

    public java.util.TimeZone getServerTimezoneTZ()

  Description copied from interface: `Connection`
  Returns the TimeZone that represents the configured timezone for the server.

### getStatementComment

    public java.lang.String getStatementComment()

  Description copied from interface: `Connection`
  Returns the comment that will be prepended to all statements sent to the server.

  Returns:
    the comment that will be prepended to all statements sent to the server.

### hasTriedMaster

    public boolean hasTriedMaster()

  Description copied from interface: `Connection`
  Has this connection tried to execute a query on the "master" server (first host in a multiple host list).

### initializeExtension

    public void initializeExtension(Extension ex)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### isAbonormallyLongQuery

    public boolean isAbonormallyLongQuery(long millisOrNanos)

### isInGlobalTx

    public boolean isInGlobalTx()

  Description copied from interface: `Connection`
  Is this connection currently a participant in an XA transaction?

### isMasterConnection

    public boolean isMasterConnection()

  Description copied from interface: `Connection`
  Is this connection connected to the first host in the list if there is a list of servers in the URL?

  Returns:
    true if this connection is connected to the first in the list.

### isNoBackslashEscapesSet

    public boolean isNoBackslashEscapesSet()

  Description copied from interface: `Connection`
  Is the server in a sql_mode that doesn't allow us to use \\ to escape things?

  Returns:
    Returns the noBackslashEscapes.

### lowerCaseTableNames

    public boolean lowerCaseTableNames()

  Description copied from interface: `Connection`
  Is the server configured to use lower-case table names only?

  Returns:
    true if lower_case_table_names is 'on'

### parserKnowsUnicode

    public boolean parserKnowsUnicode()

  Description copied from interface: `Connection`
  Does the server this connection is connected to support unicode?

### ping

    public void ping()
              throws java.sql.SQLException

  Description copied from interface: `Connection`
  Detect if the connection is still good by sending a ping command to the server.

  Throws:
    `java.sql.SQLException` - if the ping fails

### reportQueryTime

    public void reportQueryTime(long millisOrNanos)

### resetServerState

    public void resetServerState()
                          throws java.sql.SQLException

  Description copied from interface: `Connection`
  Resets the server-side state of this connection. Doesn't work for MySQL versions older than 4.0.6 or if isParanoid() is set (it will become a no-op in these cases). Usually only used from connection pooling code.

  Throws:
    `java.sql.SQLException` - if the operation fails while resetting server state.

### serverPrepareStatement

    public java.sql.PreparedStatement serverPrepareStatement(java.lang.String sql)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String)`

### serverPrepareStatement

    public java.sql.PreparedStatement serverPrepareStatement(java.lang.String sql,
                                                             int autoGenKeyIndex)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int)`

### serverPrepareStatement

    public java.sql.PreparedStatement serverPrepareStatement(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int, int)`

### serverPrepareStatement

    public java.sql.PreparedStatement serverPrepareStatement(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency,
                                                             int resultSetHoldability)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int, int, int)`

### serverPrepareStatement

    public java.sql.PreparedStatement serverPrepareStatement(java.lang.String sql,
                                                             int[] autoGenKeyIndexes)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, int[])`

### serverPrepareStatement

    public java.sql.PreparedStatement serverPrepareStatement(java.lang.String sql,
                                                             java.lang.String[] autoGenKeyColNames)
                                                      throws java.sql.SQLException

  Description copied from interface: `Connection`
  Prepares a statement on the server (irregardless of the configuration property 'useServerPrepStmts') with the same semantics as the java.sql.Connection.prepareStatement() method with the same argument types.

  Throws:
    `java.sql.SQLException`
  See Also:
    `Connection.prepareStatement(String, String[])`

### setFailedOver

    public void setFailedOver(boolean flag)

### setPreferSlaveDuringFailover

    public void setPreferSlaveDuringFailover(boolean flag)

### setStatementComment

    public void setStatementComment(java.lang.String comment)

  Description copied from interface: `Connection`
  Sets the comment that will be prepended to all statements sent to the server. Do not use slash-star or star-slash tokens in the comment as these will be added by the driver itself.

  Parameters:
    `comment` - the comment that will be prepended to all statements sent to the server.

### shutdownServer

    public void shutdownServer()
                        throws java.sql.SQLException

  Description copied from interface: `Connection`
  Used by MiniAdmin to shutdown a MySQL server

  Throws:
    `java.sql.SQLException` - if the command can not be issued.

### supportsIsolationLevel

    public boolean supportsIsolationLevel()

  Description copied from interface: `Connection`
  Does the server this connection is connected to support quoted isolation levels?

### supportsQuotedIdentifiers

    public boolean supportsQuotedIdentifiers()

  Description copied from interface: `Connection`
  Does the server this connection is connected to support quoted identifiers?

### supportsTransactions

    public boolean supportsTransactions()

  Description copied from interface: `Connection`
  Does the server this connection is connected to support quoted identifiers?

### versionMeetsMinimum

    public boolean versionMeetsMinimum(int major,
                                       int minor,
                                       int subminor)
                                throws java.sql.SQLException

  Description copied from interface: `Connection`
  Does the server this connection is connected to meet or exceed the given version?

  Throws:
    `java.sql.SQLException`

### exposeAsXml

    public java.lang.String exposeAsXml()
                                 throws java.sql.SQLException

  Description copied from interface: `ConnectionProperties`
  Returns a description of the connection properties as an XML document.

  Specified by:
    `exposeAsXml` in interface `ConnectionProperties`
  Returns:
    the connection properties as an XML document.
  Throws:
    `java.sql.SQLException` - if an error occurs.

### getAllowLoadLocalInfile

    public boolean getAllowLoadLocalInfile()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getAllowLoadLocalInfile` in interface `ConnectionProperties`
  Returns:

### getAllowMultiQueries

    public boolean getAllowMultiQueries()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getAllowMultiQueries` in interface `ConnectionProperties`
  Returns:

### getAllowNanAndInf

    public boolean getAllowNanAndInf()

  Specified by:
    `getAllowNanAndInf` in interface `ConnectionProperties`
  Returns:
    Returns the allowNanAndInf.

### getAllowUrlInLocalInfile

    public boolean getAllowUrlInLocalInfile()

  Specified by:
    `getAllowUrlInLocalInfile` in interface `ConnectionProperties`
  Returns:
    Returns the allowUrlInLocalInfile.

### getAlwaysSendSetIsolation

    public boolean getAlwaysSendSetIsolation()

  Specified by:
    `getAlwaysSendSetIsolation` in interface `ConnectionProperties`
  Returns:
    Returns the alwaysSendSetIsolation.

### getAutoClosePStmtStreams

    public boolean getAutoClosePStmtStreams()

  Specified by:
    `getAutoClosePStmtStreams` in interface `ConnectionProperties`

### getAutoDeserialize

    public boolean getAutoDeserialize()

  Specified by:
    `getAutoDeserialize` in interface `ConnectionProperties`
  Returns:
    Returns the autoDeserialize.

### getAutoGenerateTestcaseScript

    public boolean getAutoGenerateTestcaseScript()

  Specified by:
    `getAutoGenerateTestcaseScript` in interface `ConnectionProperties`

### getAutoReconnectForPools

    public boolean getAutoReconnectForPools()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getAutoReconnectForPools` in interface `ConnectionProperties`
  Returns:

### getAutoSlowLog

    public boolean getAutoSlowLog()

  Specified by:
    `getAutoSlowLog` in interface `ConnectionProperties`

### getBlobSendChunkSize

    public int getBlobSendChunkSize()

  Specified by:
    `getBlobSendChunkSize` in interface `ConnectionProperties`
  Returns:
    Returns the blobSendChunkSize.

### getBlobsAreStrings

    public boolean getBlobsAreStrings()

  Specified by:
    `getBlobsAreStrings` in interface `ConnectionProperties`

### getCacheCallableStatements

    public boolean getCacheCallableStatements()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getCacheCallableStatements` in interface `ConnectionProperties`
  Returns:
    Returns if cacheCallableStatements is enabled

### getCacheCallableStmts

    public boolean getCacheCallableStmts()

  Specified by:
    `getCacheCallableStmts` in interface `ConnectionProperties`

### getCachePrepStmts

    public boolean getCachePrepStmts()

  Specified by:
    `getCachePrepStmts` in interface `ConnectionProperties`

### getCachePreparedStatements

    public boolean getCachePreparedStatements()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getCachePreparedStatements` in interface `ConnectionProperties`
  Returns:
    Returns the cachePreparedStatements.

### getCacheResultSetMetadata

    public boolean getCacheResultSetMetadata()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getCacheResultSetMetadata` in interface `ConnectionProperties`
  Returns:
    DOCUMENT ME!

### getCacheServerConfiguration

    public boolean getCacheServerConfiguration()

  Specified by:
    `getCacheServerConfiguration` in interface `ConnectionProperties`
  Returns:
    Returns the cacheServerConfiguration.

### getCallableStatementCacheSize

    public int getCallableStatementCacheSize()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getCallableStatementCacheSize` in interface `ConnectionProperties`
  Returns:
    Returns the callableStatementCacheSize.

### getCallableStmtCacheSize

    public int getCallableStmtCacheSize()

  Specified by:
    `getCallableStmtCacheSize` in interface `ConnectionProperties`

### getCapitalizeTypeNames

    public boolean getCapitalizeTypeNames()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getCapitalizeTypeNames` in interface `ConnectionProperties`
  Returns:

### getCharacterSetResults

    public java.lang.String getCharacterSetResults()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getCharacterSetResults` in interface `ConnectionProperties`
  Returns:
    Returns the characterSetResults.

### getClientCertificateKeyStorePassword

    public java.lang.String getClientCertificateKeyStorePassword()

  Specified by:
    `getClientCertificateKeyStorePassword` in interface `ConnectionProperties`

### getClientCertificateKeyStoreType

    public java.lang.String getClientCertificateKeyStoreType()

  Specified by:
    `getClientCertificateKeyStoreType` in interface `ConnectionProperties`

### getClientCertificateKeyStoreUrl

    public java.lang.String getClientCertificateKeyStoreUrl()

  Specified by:
    `getClientCertificateKeyStoreUrl` in interface `ConnectionProperties`

### getClientInfoProvider

    public java.lang.String getClientInfoProvider()

  Specified by:
    `getClientInfoProvider` in interface `ConnectionProperties`

### getClobCharacterEncoding

    public java.lang.String getClobCharacterEncoding()

  Specified by:
    `getClobCharacterEncoding` in interface `ConnectionProperties`

### getClobberStreamingResults

    public boolean getClobberStreamingResults()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getClobberStreamingResults` in interface `ConnectionProperties`
  Returns:
    Returns the clobberStreamingResults.

### getConnectTimeout

    public int getConnectTimeout()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getConnectTimeout` in interface `ConnectionProperties`
  Returns:

### getConnectionCollation

    public java.lang.String getConnectionCollation()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getConnectionCollation` in interface `ConnectionProperties`
  Returns:
    Returns the connectionCollation.

### getConnectionLifecycleInterceptors

    public java.lang.String getConnectionLifecycleInterceptors()

  Specified by:
    `getConnectionLifecycleInterceptors` in interface `ConnectionProperties`

### getContinueBatchOnError

    public boolean getContinueBatchOnError()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getContinueBatchOnError` in interface `ConnectionProperties`
  Returns:

### getCreateDatabaseIfNotExist

    public boolean getCreateDatabaseIfNotExist()

  Specified by:
    `getCreateDatabaseIfNotExist` in interface `ConnectionProperties`

### getDefaultFetchSize

    public int getDefaultFetchSize()

  Specified by:
    `getDefaultFetchSize` in interface `ConnectionProperties`

### getDontTrackOpenResources

    public boolean getDontTrackOpenResources()

  Specified by:
    `getDontTrackOpenResources` in interface `ConnectionProperties`
  Returns:
    Returns the dontTrackOpenResources.

### getDumpMetadataOnColumnNotFound

    public boolean getDumpMetadataOnColumnNotFound()

  Specified by:
    `getDumpMetadataOnColumnNotFound` in interface `ConnectionProperties`

### getDumpQueriesOnException

    public boolean getDumpQueriesOnException()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getDumpQueriesOnException` in interface `ConnectionProperties`
  Returns:
    Returns the dumpQueriesOnException.

### getDynamicCalendars

    public boolean getDynamicCalendars()

  Specified by:
    `getDynamicCalendars` in interface `ConnectionProperties`
  Returns:
    Returns the dynamicCalendars.

### getElideSetAutoCommits

    public boolean getElideSetAutoCommits()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getElideSetAutoCommits` in interface `ConnectionProperties`
  Returns:
    Returns the elideSetAutoCommits.

### getEmptyStringsConvertToZero

    public boolean getEmptyStringsConvertToZero()

  Specified by:
    `getEmptyStringsConvertToZero` in interface `ConnectionProperties`

### getEmulateLocators

    public boolean getEmulateLocators()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getEmulateLocators` in interface `ConnectionProperties`
  Returns:

### getEmulateUnsupportedPstmts

    public boolean getEmulateUnsupportedPstmts()

  Specified by:
    `getEmulateUnsupportedPstmts` in interface `ConnectionProperties`
  Returns:
    Returns the emulateUnsupportedPstmts.

### getEnablePacketDebug

    public boolean getEnablePacketDebug()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getEnablePacketDebug` in interface `ConnectionProperties`
  Returns:
    Returns the enablePacketDebug.

### getEnableQueryTimeouts

    public boolean getEnableQueryTimeouts()

  Specified by:
    `getEnableQueryTimeouts` in interface `ConnectionProperties`

### getEncoding

    public java.lang.String getEncoding()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getEncoding` in interface `ConnectionProperties`
  Returns:

### getExplainSlowQueries

    public boolean getExplainSlowQueries()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getExplainSlowQueries` in interface `ConnectionProperties`
  Returns:
    Returns the explainSlowQueries.

### getFailOverReadOnly

    public boolean getFailOverReadOnly()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getFailOverReadOnly` in interface `ConnectionProperties`
  Returns:
    Returns the failOverReadOnly.

### getFunctionsNeverReturnBlobs

    public boolean getFunctionsNeverReturnBlobs()

  Specified by:
    `getFunctionsNeverReturnBlobs` in interface `ConnectionProperties`

### getGatherPerfMetrics

    public boolean getGatherPerfMetrics()

  Specified by:
    `getGatherPerfMetrics` in interface `ConnectionProperties`

### getGatherPerformanceMetrics

    public boolean getGatherPerformanceMetrics()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getGatherPerformanceMetrics` in interface `ConnectionProperties`
  Returns:
    Returns the gatherPerformanceMetrics.

### getGenerateSimpleParameterMetadata

    public boolean getGenerateSimpleParameterMetadata()

  Specified by:
    `getGenerateSimpleParameterMetadata` in interface `ConnectionProperties`

### getHoldResultsOpenOverStatementClose

    public boolean getHoldResultsOpenOverStatementClose()

  Specified by:
    `getHoldResultsOpenOverStatementClose` in interface `ConnectionProperties`
  Returns:
    Returns the holdResultsOpenOverStatementClose.

### getIgnoreNonTxTables

    public boolean getIgnoreNonTxTables()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getIgnoreNonTxTables` in interface `ConnectionProperties`
  Returns:

### getIncludeInnodbStatusInDeadlockExceptions

    public boolean getIncludeInnodbStatusInDeadlockExceptions()

  Specified by:
    `getIncludeInnodbStatusInDeadlockExceptions` in interface `ConnectionProperties`

### getInitialTimeout

    public int getInitialTimeout()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getInitialTimeout` in interface `ConnectionProperties`
  Returns:

### getInteractiveClient

    public boolean getInteractiveClient()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getInteractiveClient` in interface `ConnectionProperties`
  Returns:

### getIsInteractiveClient

    public boolean getIsInteractiveClient()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getIsInteractiveClient` in interface `ConnectionProperties`
  Returns:
    Returns the isInteractiveClient.

### getJdbcCompliantTruncation

    public boolean getJdbcCompliantTruncation()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getJdbcCompliantTruncation` in interface `ConnectionProperties`
  Returns:
    Returns the jdbcCompliantTruncation.

### getJdbcCompliantTruncationForReads

    public boolean getJdbcCompliantTruncationForReads()

  Specified by:
    `getJdbcCompliantTruncationForReads` in interface `ConnectionProperties`

### getLargeRowSizeThreshold

    public java.lang.String getLargeRowSizeThreshold()

  Specified by:
    `getLargeRowSizeThreshold` in interface `ConnectionProperties`

### getLoadBalanceStrategy

    public java.lang.String getLoadBalanceStrategy()

  Specified by:
    `getLoadBalanceStrategy` in interface `ConnectionProperties`

### getLocalSocketAddress

    public java.lang.String getLocalSocketAddress()

  Specified by:
    `getLocalSocketAddress` in interface `ConnectionProperties`

### getLocatorFetchBufferSize

    public int getLocatorFetchBufferSize()

  Specified by:
    `getLocatorFetchBufferSize` in interface `ConnectionProperties`
  Returns:
    Returns the dontTrackOpenResources.

### getLogSlowQueries

    public boolean getLogSlowQueries()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getLogSlowQueries` in interface `ConnectionProperties`
  Returns:
    Returns the logSlowQueries.

### getLogXaCommands

    public boolean getLogXaCommands()

  Specified by:
    `getLogXaCommands` in interface `ConnectionProperties`

### getLogger

    public java.lang.String getLogger()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getLogger` in interface `ConnectionProperties`
  Returns:

### getLoggerClassName

    public java.lang.String getLoggerClassName()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getLoggerClassName` in interface `ConnectionProperties`
  Returns:
    Returns the loggerClassName.

### getMaintainTimeStats

    public boolean getMaintainTimeStats()

  Specified by:
    `getMaintainTimeStats` in interface `ConnectionProperties`

### getMaxQuerySizeToLog

    public int getMaxQuerySizeToLog()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getMaxQuerySizeToLog` in interface `ConnectionProperties`
  Returns:
    Returns the maxQuerySizeToLog.

### getMaxReconnects

    public int getMaxReconnects()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getMaxReconnects` in interface `ConnectionProperties`
  Returns:

### getMaxRows

    public int getMaxRows()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getMaxRows` in interface `ConnectionProperties`
  Returns:

### getMetadataCacheSize

    public int getMetadataCacheSize()

  Description copied from interface: `ConnectionProperties`
  Returns the number of queries that metadata can be cached if caching is enabled.

  Specified by:
    `getMetadataCacheSize` in interface `ConnectionProperties`
  Returns:
    the number of queries to cache metadata for.

### getNetTimeoutForStreamingResults

    public int getNetTimeoutForStreamingResults()

  Specified by:
    `getNetTimeoutForStreamingResults` in interface `ConnectionProperties`

### getNoAccessToProcedureBodies

    public boolean getNoAccessToProcedureBodies()

  Specified by:
    `getNoAccessToProcedureBodies` in interface `ConnectionProperties`

### getNoDatetimeStringSync

    public boolean getNoDatetimeStringSync()

  Specified by:
    `getNoDatetimeStringSync` in interface `ConnectionProperties`
  Returns:
    Returns the noDatetimeStringSync.

### getNoTimezoneConversionForTimeType

    public boolean getNoTimezoneConversionForTimeType()

  Specified by:
    `getNoTimezoneConversionForTimeType` in interface `ConnectionProperties`

### getNullCatalogMeansCurrent

    public boolean getNullCatalogMeansCurrent()

  Specified by:
    `getNullCatalogMeansCurrent` in interface `ConnectionProperties`

### getNullNamePatternMatchesAll

    public boolean getNullNamePatternMatchesAll()

  Specified by:
    `getNullNamePatternMatchesAll` in interface `ConnectionProperties`

### getOverrideSupportsIntegrityEnhancementFacility

    public boolean getOverrideSupportsIntegrityEnhancementFacility()

  Specified by:
    `getOverrideSupportsIntegrityEnhancementFacility` in interface `ConnectionProperties`

### getPacketDebugBufferSize

    public int getPacketDebugBufferSize()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getPacketDebugBufferSize` in interface `ConnectionProperties`
  Returns:
    Returns the packetDebugBufferSize.

### getPadCharsWithSpace

    public boolean getPadCharsWithSpace()

  Specified by:
    `getPadCharsWithSpace` in interface `ConnectionProperties`

### getParanoid

    public boolean getParanoid()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getParanoid` in interface `ConnectionProperties`
  Returns:

### getPedantic

    public boolean getPedantic()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getPedantic` in interface `ConnectionProperties`
  Returns:

### getPinGlobalTxToPhysicalConnection

    public boolean getPinGlobalTxToPhysicalConnection()

  Specified by:
    `getPinGlobalTxToPhysicalConnection` in interface `ConnectionProperties`

### getPopulateInsertRowWithDefaultValues

    public boolean getPopulateInsertRowWithDefaultValues()

  Specified by:
    `getPopulateInsertRowWithDefaultValues` in interface `ConnectionProperties`

### getPrepStmtCacheSize

    public int getPrepStmtCacheSize()

  Specified by:
    `getPrepStmtCacheSize` in interface `ConnectionProperties`

### getPrepStmtCacheSqlLimit

    public int getPrepStmtCacheSqlLimit()

  Specified by:
    `getPrepStmtCacheSqlLimit` in interface `ConnectionProperties`

### getPreparedStatementCacheSize

    public int getPreparedStatementCacheSize()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getPreparedStatementCacheSize` in interface `ConnectionProperties`
  Returns:
    Returns the preparedStatementCacheSize.

### getPreparedStatementCacheSqlLimit

    public int getPreparedStatementCacheSqlLimit()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getPreparedStatementCacheSqlLimit` in interface `ConnectionProperties`
  Returns:
    Returns the preparedStatementCacheSqlLimit.

### getProcessEscapeCodesForPrepStmts

    public boolean getProcessEscapeCodesForPrepStmts()

  Specified by:
    `getProcessEscapeCodesForPrepStmts` in interface `ConnectionProperties`

### getProfileSQL

    public boolean getProfileSQL()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getProfileSQL` in interface `ConnectionProperties`
  Returns:
    Returns the profileSQL flag

### getProfileSql

    public boolean getProfileSql()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getProfileSql` in interface `ConnectionProperties`
  Returns:

### getProfilerEventHandler

    public java.lang.String getProfilerEventHandler()

  Specified by:
    `getProfilerEventHandler` in interface `ConnectionProperties`

### getPropertiesTransform

    public java.lang.String getPropertiesTransform()

  Specified by:
    `getPropertiesTransform` in interface `ConnectionProperties`
  Returns:
    Returns the propertiesTransform.

### getQueriesBeforeRetryMaster

    public int getQueriesBeforeRetryMaster()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getQueriesBeforeRetryMaster` in interface `ConnectionProperties`
  Returns:

### getReconnectAtTxEnd

    public boolean getReconnectAtTxEnd()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getReconnectAtTxEnd` in interface `ConnectionProperties`
  Returns:

### getRelaxAutoCommit

    public boolean getRelaxAutoCommit()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getRelaxAutoCommit` in interface `ConnectionProperties`
  Returns:

### getReportMetricsIntervalMillis

    public int getReportMetricsIntervalMillis()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getReportMetricsIntervalMillis` in interface `ConnectionProperties`
  Returns:
    Returns the reportMetricsIntervalMillis.

### getRequireSSL

    public boolean getRequireSSL()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getRequireSSL` in interface `ConnectionProperties`
  Returns:

### getResourceId

    public java.lang.String getResourceId()

  Specified by:
    `getResourceId` in interface `ConnectionProperties`

### getResultSetSizeThreshold

    public int getResultSetSizeThreshold()

  Specified by:
    `getResultSetSizeThreshold` in interface `ConnectionProperties`

### getRewriteBatchedStatements

    public boolean getRewriteBatchedStatements()

  Specified by:
    `getRewriteBatchedStatements` in interface `ConnectionProperties`

### getRollbackOnPooledClose

    public boolean getRollbackOnPooledClose()

  Specified by:
    `getRollbackOnPooledClose` in interface `ConnectionProperties`
  Returns:
    Returns the rollbackOnPooledClose.

### getRoundRobinLoadBalance

    public boolean getRoundRobinLoadBalance()

  Description copied from interface: `ConnectionProperties`
  Returns whether or not hosts will be picked in a round-robin fashion.

  Specified by:
    `getRoundRobinLoadBalance` in interface `ConnectionProperties`
  Returns:
    Returns the roundRobinLoadBalance property.

### getRunningCTS13

    public boolean getRunningCTS13()

  Specified by:
    `getRunningCTS13` in interface `ConnectionProperties`
  Returns:
    Returns the runningCTS13.

### getSecondsBeforeRetryMaster

    public int getSecondsBeforeRetryMaster()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getSecondsBeforeRetryMaster` in interface `ConnectionProperties`
  Returns:

### getSelfDestructOnPingMaxOperations

    public int getSelfDestructOnPingMaxOperations()

  Specified by:
    `getSelfDestructOnPingMaxOperations` in interface `ConnectionProperties`

### getSelfDestructOnPingSecondsLifetime

    public int getSelfDestructOnPingSecondsLifetime()

  Specified by:
    `getSelfDestructOnPingSecondsLifetime` in interface `ConnectionProperties`

### getServerTimezone

    public java.lang.String getServerTimezone()

  Description copied from interface: `ConnectionProperties`
  Returns the 'serverTimezone' property.

  Specified by:
    `getServerTimezone` in interface `ConnectionProperties`
  Returns:
    the configured server timezone property.

### getSessionVariables

    public java.lang.String getSessionVariables()

  Specified by:
    `getSessionVariables` in interface `ConnectionProperties`
  Returns:
    Returns the sessionVariables.

### getSlowQueryThresholdMillis

    public int getSlowQueryThresholdMillis()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getSlowQueryThresholdMillis` in interface `ConnectionProperties`
  Returns:
    Returns the slowQueryThresholdMillis.

### getSlowQueryThresholdNanos

    public long getSlowQueryThresholdNanos()

  Specified by:
    `getSlowQueryThresholdNanos` in interface `ConnectionProperties`

### getSocketFactory

    public java.lang.String getSocketFactory()

  Specified by:
    `getSocketFactory` in interface `ConnectionProperties`

### getSocketFactoryClassName

    public java.lang.String getSocketFactoryClassName()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getSocketFactoryClassName` in interface `ConnectionProperties`
  Returns:

### getSocketTimeout

    public int getSocketTimeout()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getSocketTimeout` in interface `ConnectionProperties`
  Returns:

### getStatementInterceptors

    public java.lang.String getStatementInterceptors()

  Specified by:
    `getStatementInterceptors` in interface `ConnectionProperties`

### getStrictFloatingPoint

    public boolean getStrictFloatingPoint()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getStrictFloatingPoint` in interface `ConnectionProperties`
  Returns:

### getStrictUpdates

    public boolean getStrictUpdates()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getStrictUpdates` in interface `ConnectionProperties`
  Returns:

### getTcpKeepAlive

    public boolean getTcpKeepAlive()

  Specified by:
    `getTcpKeepAlive` in interface `ConnectionProperties`

### getTcpNoDelay

    public boolean getTcpNoDelay()

  Specified by:
    `getTcpNoDelay` in interface `ConnectionProperties`

### getTcpRcvBuf

    public int getTcpRcvBuf()

  Specified by:
    `getTcpRcvBuf` in interface `ConnectionProperties`

### getTcpSndBuf

    public int getTcpSndBuf()

  Specified by:
    `getTcpSndBuf` in interface `ConnectionProperties`

### getTcpTrafficClass

    public int getTcpTrafficClass()

  Specified by:
    `getTcpTrafficClass` in interface `ConnectionProperties`

### getTinyInt1isBit

    public boolean getTinyInt1isBit()

  Specified by:
    `getTinyInt1isBit` in interface `ConnectionProperties`
  Returns:
    Returns the tinyInt1isBit.

### getTraceProtocol

    public boolean getTraceProtocol()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getTraceProtocol` in interface `ConnectionProperties`
  Returns:
    Returns the logProtocol.

### getTransformedBitIsBoolean

    public boolean getTransformedBitIsBoolean()

  Specified by:
    `getTransformedBitIsBoolean` in interface `ConnectionProperties`

### getTreatUtilDateAsTimestamp

    public boolean getTreatUtilDateAsTimestamp()

  Specified by:
    `getTreatUtilDateAsTimestamp` in interface `ConnectionProperties`

### getTrustCertificateKeyStorePassword

    public java.lang.String getTrustCertificateKeyStorePassword()

  Specified by:
    `getTrustCertificateKeyStorePassword` in interface `ConnectionProperties`

### getTrustCertificateKeyStoreType

    public java.lang.String getTrustCertificateKeyStoreType()

  Specified by:
    `getTrustCertificateKeyStoreType` in interface `ConnectionProperties`

### getTrustCertificateKeyStoreUrl

    public java.lang.String getTrustCertificateKeyStoreUrl()

  Specified by:
    `getTrustCertificateKeyStoreUrl` in interface `ConnectionProperties`

### getUltraDevHack

    public boolean getUltraDevHack()

  Specified by:
    `getUltraDevHack` in interface `ConnectionProperties`

### getUseBlobToStoreUTF8OutsideBMP

    public boolean getUseBlobToStoreUTF8OutsideBMP()

  Specified by:
    `getUseBlobToStoreUTF8OutsideBMP` in interface `ConnectionProperties`

### getUseCompression

    public boolean getUseCompression()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseCompression` in interface `ConnectionProperties`
  Returns:

### getUseConfigs

    public java.lang.String getUseConfigs()

  Specified by:
    `getUseConfigs` in interface `ConnectionProperties`

### getUseCursorFetch

    public boolean getUseCursorFetch()

  Specified by:
    `getUseCursorFetch` in interface `ConnectionProperties`

### getUseDirectRowUnpack

    public boolean getUseDirectRowUnpack()

  Specified by:
    `getUseDirectRowUnpack` in interface `ConnectionProperties`

### getUseDynamicCharsetInfo

    public boolean getUseDynamicCharsetInfo()

  Specified by:
    `getUseDynamicCharsetInfo` in interface `ConnectionProperties`

### getUseFastDateParsing

    public boolean getUseFastDateParsing()

  Specified by:
    `getUseFastDateParsing` in interface `ConnectionProperties`

### getUseFastIntParsing

    public boolean getUseFastIntParsing()

  Specified by:
    `getUseFastIntParsing` in interface `ConnectionProperties`
  Returns:
    Returns the useFastIntParsing.

### getUseGmtMillisForDatetimes

    public boolean getUseGmtMillisForDatetimes()

  Specified by:
    `getUseGmtMillisForDatetimes` in interface `ConnectionProperties`

### getUseHostsInPrivileges

    public boolean getUseHostsInPrivileges()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseHostsInPrivileges` in interface `ConnectionProperties`
  Returns:

### getUseInformationSchema

    public boolean getUseInformationSchema()

  Specified by:
    `getUseInformationSchema` in interface `ConnectionProperties`

### getUseJDBCCompliantTimezoneShift

    public boolean getUseJDBCCompliantTimezoneShift()

  Specified by:
    `getUseJDBCCompliantTimezoneShift` in interface `ConnectionProperties`

### getUseJvmCharsetConverters

    public boolean getUseJvmCharsetConverters()

  Specified by:
    `getUseJvmCharsetConverters` in interface `ConnectionProperties`

### getUseLegacyDatetimeCode

    public boolean getUseLegacyDatetimeCode()

  Specified by:
    `getUseLegacyDatetimeCode` in interface `ConnectionProperties`

### getUseLocalSessionState

    public boolean getUseLocalSessionState()

  Specified by:
    `getUseLocalSessionState` in interface `ConnectionProperties`
  Returns:
    Returns the useLocalSessionState.

### getUseNanosForElapsedTime

    public boolean getUseNanosForElapsedTime()

  Specified by:
    `getUseNanosForElapsedTime` in interface `ConnectionProperties`

### getUseOldAliasMetadataBehavior

    public boolean getUseOldAliasMetadataBehavior()

  Specified by:
    `getUseOldAliasMetadataBehavior` in interface `ConnectionProperties`

### getUseOldUTF8Behavior

    public boolean getUseOldUTF8Behavior()

  Specified by:
    `getUseOldUTF8Behavior` in interface `ConnectionProperties`
  Returns:
    Returns the useOldUTF8Behavior.

### getUseOnlyServerErrorMessages

    public boolean getUseOnlyServerErrorMessages()

  Specified by:
    `getUseOnlyServerErrorMessages` in interface `ConnectionProperties`
  Returns:
    Returns the useOnlyServerErrorMessages.

### getUseReadAheadInput

    public boolean getUseReadAheadInput()

  Specified by:
    `getUseReadAheadInput` in interface `ConnectionProperties`
  Returns:
    Returns the useReadAheadInput.

### getUseSSL

    public boolean getUseSSL()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseSSL` in interface `ConnectionProperties`
  Returns:

### getUseSSPSCompatibleTimezoneShift

    public boolean getUseSSPSCompatibleTimezoneShift()

  Specified by:
    `getUseSSPSCompatibleTimezoneShift` in interface `ConnectionProperties`

### getUseServerPrepStmts

    public boolean getUseServerPrepStmts()

  Specified by:
    `getUseServerPrepStmts` in interface `ConnectionProperties`

### getUseServerPreparedStmts

    public boolean getUseServerPreparedStmts()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseServerPreparedStmts` in interface `ConnectionProperties`
  Returns:

### getUseSqlStateCodes

    public boolean getUseSqlStateCodes()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseSqlStateCodes` in interface `ConnectionProperties`
  Returns:
    Returns the useSqlStateCodes state.

### getUseStreamLengthsInPrepStmts

    public boolean getUseStreamLengthsInPrepStmts()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseStreamLengthsInPrepStmts` in interface `ConnectionProperties`
  Returns:

### getUseTimezone

    public boolean getUseTimezone()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseTimezone` in interface `ConnectionProperties`
  Returns:

### getUseUltraDevWorkAround

    public boolean getUseUltraDevWorkAround()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseUltraDevWorkAround` in interface `ConnectionProperties`
  Returns:

### getUseUnbufferedInput

    public boolean getUseUnbufferedInput()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseUnbufferedInput` in interface `ConnectionProperties`
  Returns:
    Returns the useUnbufferedInput.

### getUseUnicode

    public boolean getUseUnicode()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `getUseUnicode` in interface `ConnectionProperties`
  Returns:

### getUseUsageAdvisor

    public boolean getUseUsageAdvisor()

  Description copied from interface: `ConnectionProperties`
  Returns whether or not the driver advises of proper usage.

  Specified by:
    `getUseUsageAdvisor` in interface `ConnectionProperties`
  Returns:
    the value of useUsageAdvisor

### getUtf8OutsideBmpExcludedColumnNamePattern

    public java.lang.String getUtf8OutsideBmpExcludedColumnNamePattern()

  Specified by:
    `getUtf8OutsideBmpExcludedColumnNamePattern` in interface `ConnectionProperties`

### getUtf8OutsideBmpIncludedColumnNamePattern

    public java.lang.String getUtf8OutsideBmpIncludedColumnNamePattern()

  Specified by:
    `getUtf8OutsideBmpIncludedColumnNamePattern` in interface `ConnectionProperties`

### getVerifyServerCertificate

    public boolean getVerifyServerCertificate()

  Specified by:
    `getVerifyServerCertificate` in interface `ConnectionProperties`

### getYearIsDateType

    public boolean getYearIsDateType()

  Specified by:
    `getYearIsDateType` in interface `ConnectionProperties`

### getZeroDateTimeBehavior

    public java.lang.String getZeroDateTimeBehavior()

  Specified by:
    `getZeroDateTimeBehavior` in interface `ConnectionProperties`
  Returns:
    Returns the zeroDateTimeBehavior.

### setAllowLoadLocalInfile

    public void setAllowLoadLocalInfile(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setAllowLoadLocalInfile` in interface `ConnectionProperties`

### setAllowMultiQueries

    public void setAllowMultiQueries(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setAllowMultiQueries` in interface `ConnectionProperties`

### setAllowNanAndInf

    public void setAllowNanAndInf(boolean flag)

  Specified by:
    `setAllowNanAndInf` in interface `ConnectionProperties`

### setAllowUrlInLocalInfile

    public void setAllowUrlInLocalInfile(boolean flag)

  Specified by:
    `setAllowUrlInLocalInfile` in interface `ConnectionProperties`

### setAlwaysSendSetIsolation

    public void setAlwaysSendSetIsolation(boolean flag)

  Specified by:
    `setAlwaysSendSetIsolation` in interface `ConnectionProperties`

### setAutoClosePStmtStreams

    public void setAutoClosePStmtStreams(boolean flag)

  Specified by:
    `setAutoClosePStmtStreams` in interface `ConnectionProperties`

### setAutoDeserialize

    public void setAutoDeserialize(boolean flag)

  Specified by:
    `setAutoDeserialize` in interface `ConnectionProperties`

### setAutoGenerateTestcaseScript

    public void setAutoGenerateTestcaseScript(boolean flag)

  Specified by:
    `setAutoGenerateTestcaseScript` in interface `ConnectionProperties`

### setAutoReconnect

    public void setAutoReconnect(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setAutoReconnect` in interface `ConnectionProperties`
  Parameters:
    `flag` - The autoReconnect to set.

### setAutoReconnectForConnectionPools

    public void setAutoReconnectForConnectionPools(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setAutoReconnectForConnectionPools` in interface `ConnectionProperties`

### setAutoReconnectForPools

    public void setAutoReconnectForPools(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setAutoReconnectForPools` in interface `ConnectionProperties`
  Parameters:
    `flag` - The autoReconnectForPools to set.

### setAutoSlowLog

    public void setAutoSlowLog(boolean flag)

  Specified by:
    `setAutoSlowLog` in interface `ConnectionProperties`

### setBlobSendChunkSize

    public void setBlobSendChunkSize(java.lang.String value)
                              throws java.sql.SQLException

  Specified by:
    `setBlobSendChunkSize` in interface `ConnectionProperties`
  Throws:
    `java.sql.SQLException`

### setBlobsAreStrings

    public void setBlobsAreStrings(boolean flag)

  Specified by:
    `setBlobsAreStrings` in interface `ConnectionProperties`

### setCacheCallableStatements

    public void setCacheCallableStatements(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setCacheCallableStatements` in interface `ConnectionProperties`
  Parameters:
    `flag` - The cacheCallableStatements to set.

### setCacheCallableStmts

    public void setCacheCallableStmts(boolean flag)

  Specified by:
    `setCacheCallableStmts` in interface `ConnectionProperties`

### setCachePrepStmts

    public void setCachePrepStmts(boolean flag)

  Specified by:
    `setCachePrepStmts` in interface `ConnectionProperties`

### setCachePreparedStatements

    public void setCachePreparedStatements(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setCachePreparedStatements` in interface `ConnectionProperties`
  Parameters:
    `flag` - The cachePreparedStatements to set.

### setCacheResultSetMetadata

    public void setCacheResultSetMetadata(boolean property)

  Description copied from interface: `ConnectionProperties`
  Sets whether or not we should cache result set metadata.

  Specified by:
    `setCacheResultSetMetadata` in interface `ConnectionProperties`

### setCacheServerConfiguration

    public void setCacheServerConfiguration(boolean flag)

  Specified by:
    `setCacheServerConfiguration` in interface `ConnectionProperties`

### setCallableStatementCacheSize

    public void setCallableStatementCacheSize(int size)

  Description copied from interface: `ConnectionProperties`
  Configures the number of callable statements to cache. (this is configurable during the life of the connection).

  Specified by:
    `setCallableStatementCacheSize` in interface `ConnectionProperties`
  Parameters:
    `size` - The callableStatementCacheSize to set.

### setCallableStmtCacheSize

    public void setCallableStmtCacheSize(int cacheSize)

  Specified by:
    `setCallableStmtCacheSize` in interface `ConnectionProperties`

### setCapitalizeDBMDTypes

    public void setCapitalizeDBMDTypes(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setCapitalizeDBMDTypes` in interface `ConnectionProperties`

### setCapitalizeTypeNames

    public void setCapitalizeTypeNames(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setCapitalizeTypeNames` in interface `ConnectionProperties`
  Parameters:
    `flag` - The capitalizeTypeNames to set.

### setCharacterEncoding

    public void setCharacterEncoding(java.lang.String encoding)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setCharacterEncoding` in interface `ConnectionProperties`
  Parameters:
    `encoding` - The characterEncoding to set.

### setCharacterSetResults

    public void setCharacterSetResults(java.lang.String characterSet)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setCharacterSetResults` in interface `ConnectionProperties`
  Parameters:
    `characterSet` - The characterSetResults to set.

### setClientCertificateKeyStorePassword

    public void setClientCertificateKeyStorePassword(java.lang.String value)

  Specified by:
    `setClientCertificateKeyStorePassword` in interface `ConnectionProperties`

### setClientCertificateKeyStoreType

    public void setClientCertificateKeyStoreType(java.lang.String value)

  Specified by:
    `setClientCertificateKeyStoreType` in interface `ConnectionProperties`

### setClientCertificateKeyStoreUrl

    public void setClientCertificateKeyStoreUrl(java.lang.String value)

  Specified by:
    `setClientCertificateKeyStoreUrl` in interface `ConnectionProperties`

### setClientInfoProvider

    public void setClientInfoProvider(java.lang.String classname)

  Specified by:
    `setClientInfoProvider` in interface `ConnectionProperties`

### setClobCharacterEncoding

    public void setClobCharacterEncoding(java.lang.String encoding)

  Specified by:
    `setClobCharacterEncoding` in interface `ConnectionProperties`

### setClobberStreamingResults

    public void setClobberStreamingResults(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setClobberStreamingResults` in interface `ConnectionProperties`
  Parameters:
    `flag` - The clobberStreamingResults to set.

### setConnectTimeout

    public void setConnectTimeout(int timeoutMs)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setConnectTimeout` in interface `ConnectionProperties`

### setConnectionCollation

    public void setConnectionCollation(java.lang.String collation)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setConnectionCollation` in interface `ConnectionProperties`
  Parameters:
    `collation` - The connectionCollation to set.

### setConnectionLifecycleInterceptors

    public void setConnectionLifecycleInterceptors(java.lang.String interceptors)

  Specified by:
    `setConnectionLifecycleInterceptors` in interface `ConnectionProperties`

### setContinueBatchOnError

    public void setContinueBatchOnError(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setContinueBatchOnError` in interface `ConnectionProperties`

### setCreateDatabaseIfNotExist

    public void setCreateDatabaseIfNotExist(boolean flag)

  Specified by:
    `setCreateDatabaseIfNotExist` in interface `ConnectionProperties`

### setDefaultFetchSize

    public void setDefaultFetchSize(int n)

  Specified by:
    `setDefaultFetchSize` in interface `ConnectionProperties`

### setDetectServerPreparedStmts

    public void setDetectServerPreparedStmts(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setDetectServerPreparedStmts` in interface `ConnectionProperties`

### setDontTrackOpenResources

    public void setDontTrackOpenResources(boolean flag)

  Specified by:
    `setDontTrackOpenResources` in interface `ConnectionProperties`

### setDumpMetadataOnColumnNotFound

    public void setDumpMetadataOnColumnNotFound(boolean flag)

  Specified by:
    `setDumpMetadataOnColumnNotFound` in interface `ConnectionProperties`

### setDumpQueriesOnException

    public void setDumpQueriesOnException(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setDumpQueriesOnException` in interface `ConnectionProperties`
  Parameters:
    `flag` - The dumpQueriesOnException to set.

### setDynamicCalendars

    public void setDynamicCalendars(boolean flag)

  Specified by:
    `setDynamicCalendars` in interface `ConnectionProperties`

### setElideSetAutoCommits

    public void setElideSetAutoCommits(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setElideSetAutoCommits` in interface `ConnectionProperties`
  Parameters:
    `flag` - The elideSetAutoCommits to set.

### setEmptyStringsConvertToZero

    public void setEmptyStringsConvertToZero(boolean flag)

  Specified by:
    `setEmptyStringsConvertToZero` in interface `ConnectionProperties`

### setEmulateLocators

    public void setEmulateLocators(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setEmulateLocators` in interface `ConnectionProperties`

### setEmulateUnsupportedPstmts

    public void setEmulateUnsupportedPstmts(boolean flag)

  Specified by:
    `setEmulateUnsupportedPstmts` in interface `ConnectionProperties`

### setEnablePacketDebug

    public void setEnablePacketDebug(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setEnablePacketDebug` in interface `ConnectionProperties`
  Parameters:
    `flag` - The enablePacketDebug to set.

### setEnableQueryTimeouts

    public void setEnableQueryTimeouts(boolean flag)

  Specified by:
    `setEnableQueryTimeouts` in interface `ConnectionProperties`

### setEncoding

    public void setEncoding(java.lang.String property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setEncoding` in interface `ConnectionProperties`

### setExplainSlowQueries

    public void setExplainSlowQueries(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setExplainSlowQueries` in interface `ConnectionProperties`
  Parameters:
    `flag` - The explainSlowQueries to set.

### setFailOverReadOnly

    public void setFailOverReadOnly(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setFailOverReadOnly` in interface `ConnectionProperties`
  Parameters:
    `flag` - The failOverReadOnly to set.

### setFunctionsNeverReturnBlobs

    public void setFunctionsNeverReturnBlobs(boolean flag)

  Specified by:
    `setFunctionsNeverReturnBlobs` in interface `ConnectionProperties`

### setGatherPerfMetrics

    public void setGatherPerfMetrics(boolean flag)

  Specified by:
    `setGatherPerfMetrics` in interface `ConnectionProperties`

### setGatherPerformanceMetrics

    public void setGatherPerformanceMetrics(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setGatherPerformanceMetrics` in interface `ConnectionProperties`
  Parameters:
    `flag` - The gatherPerformanceMetrics to set.

### setGenerateSimpleParameterMetadata

    public void setGenerateSimpleParameterMetadata(boolean flag)

  Specified by:
    `setGenerateSimpleParameterMetadata` in interface `ConnectionProperties`

### setHoldResultsOpenOverStatementClose

    public void setHoldResultsOpenOverStatementClose(boolean flag)

  Specified by:
    `setHoldResultsOpenOverStatementClose` in interface `ConnectionProperties`

### setIgnoreNonTxTables

    public void setIgnoreNonTxTables(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setIgnoreNonTxTables` in interface `ConnectionProperties`

### setIncludeInnodbStatusInDeadlockExceptions

    public void setIncludeInnodbStatusInDeadlockExceptions(boolean flag)

  Specified by:
    `setIncludeInnodbStatusInDeadlockExceptions` in interface `ConnectionProperties`

### setInitialTimeout

    public void setInitialTimeout(int property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setInitialTimeout` in interface `ConnectionProperties`

### setInteractiveClient

    public void setInteractiveClient(boolean property)

  Specified by:
    `setInteractiveClient` in interface `ConnectionProperties`

### setIsInteractiveClient

    public void setIsInteractiveClient(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setIsInteractiveClient` in interface `ConnectionProperties`

### setJdbcCompliantTruncation

    public void setJdbcCompliantTruncation(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setJdbcCompliantTruncation` in interface `ConnectionProperties`
  Parameters:
    `flag` - The jdbcCompliantTruncation to set.

### setJdbcCompliantTruncationForReads

    public void setJdbcCompliantTruncationForReads(boolean jdbcCompliantTruncationForReads)

  Specified by:
    `setJdbcCompliantTruncationForReads` in interface `ConnectionProperties`

### setLargeRowSizeThreshold

    public void setLargeRowSizeThreshold(java.lang.String value)

  Specified by:
    `setLargeRowSizeThreshold` in interface `ConnectionProperties`

### setLoadBalanceStrategy

    public void setLoadBalanceStrategy(java.lang.String strategy)

  Specified by:
    `setLoadBalanceStrategy` in interface `ConnectionProperties`

### setLocalSocketAddress

    public void setLocalSocketAddress(java.lang.String address)

  Specified by:
    `setLocalSocketAddress` in interface `ConnectionProperties`

### setLocatorFetchBufferSize

    public void setLocatorFetchBufferSize(java.lang.String value)
                                   throws java.sql.SQLException

  Specified by:
    `setLocatorFetchBufferSize` in interface `ConnectionProperties`
  Throws:
    `java.sql.SQLException`

### setLogSlowQueries

    public void setLogSlowQueries(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setLogSlowQueries` in interface `ConnectionProperties`
  Parameters:
    `flag` - The logSlowQueries to set.

### setLogXaCommands

    public void setLogXaCommands(boolean flag)

  Specified by:
    `setLogXaCommands` in interface `ConnectionProperties`

### setLogger

    public void setLogger(java.lang.String property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setLogger` in interface `ConnectionProperties`

### setLoggerClassName

    public void setLoggerClassName(java.lang.String className)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setLoggerClassName` in interface `ConnectionProperties`
  Parameters:
    `className` - The loggerClassName to set.

### setMaintainTimeStats

    public void setMaintainTimeStats(boolean flag)

  Specified by:
    `setMaintainTimeStats` in interface `ConnectionProperties`

### setMaxQuerySizeToLog

    public void setMaxQuerySizeToLog(int sizeInBytes)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setMaxQuerySizeToLog` in interface `ConnectionProperties`
  Parameters:
    `sizeInBytes` - The maxQuerySizeToLog to set.

### setMaxReconnects

    public void setMaxReconnects(int property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setMaxReconnects` in interface `ConnectionProperties`

### setMaxRows

    public void setMaxRows(int property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setMaxRows` in interface `ConnectionProperties`

### setMetadataCacheSize

    public void setMetadataCacheSize(int value)

  Description copied from interface: `ConnectionProperties`
  Sets the number of queries that metadata can be cached if caching is enabled.

  Specified by:
    `setMetadataCacheSize` in interface `ConnectionProperties`
  Parameters:
    `value` - the number of queries to cache metadata for.

### setNetTimeoutForStreamingResults

    public void setNetTimeoutForStreamingResults(int value)

  Specified by:
    `setNetTimeoutForStreamingResults` in interface `ConnectionProperties`

### setNoAccessToProcedureBodies

    public void setNoAccessToProcedureBodies(boolean flag)

  Specified by:
    `setNoAccessToProcedureBodies` in interface `ConnectionProperties`

### setNoDatetimeStringSync

    public void setNoDatetimeStringSync(boolean flag)

  Specified by:
    `setNoDatetimeStringSync` in interface `ConnectionProperties`

### setNoTimezoneConversionForTimeType

    public void setNoTimezoneConversionForTimeType(boolean flag)

  Specified by:
    `setNoTimezoneConversionForTimeType` in interface `ConnectionProperties`

### setNullCatalogMeansCurrent

    public void setNullCatalogMeansCurrent(boolean value)

  Specified by:
    `setNullCatalogMeansCurrent` in interface `ConnectionProperties`

### setNullNamePatternMatchesAll

    public void setNullNamePatternMatchesAll(boolean value)

  Specified by:
    `setNullNamePatternMatchesAll` in interface `ConnectionProperties`

### setOverrideSupportsIntegrityEnhancementFacility

    public void setOverrideSupportsIntegrityEnhancementFacility(boolean flag)

  Specified by:
    `setOverrideSupportsIntegrityEnhancementFacility` in interface `ConnectionProperties`

### setPacketDebugBufferSize

    public void setPacketDebugBufferSize(int size)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setPacketDebugBufferSize` in interface `ConnectionProperties`
  Parameters:
    `size` - The packetDebugBufferSize to set.

### setPadCharsWithSpace

    public void setPadCharsWithSpace(boolean flag)

  Specified by:
    `setPadCharsWithSpace` in interface `ConnectionProperties`

### setParanoid

    public void setParanoid(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setParanoid` in interface `ConnectionProperties`

### setPedantic

    public void setPedantic(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setPedantic` in interface `ConnectionProperties`

### setPinGlobalTxToPhysicalConnection

    public void setPinGlobalTxToPhysicalConnection(boolean flag)

  Specified by:
    `setPinGlobalTxToPhysicalConnection` in interface `ConnectionProperties`

### setPopulateInsertRowWithDefaultValues

    public void setPopulateInsertRowWithDefaultValues(boolean flag)

  Specified by:
    `setPopulateInsertRowWithDefaultValues` in interface `ConnectionProperties`

### setPrepStmtCacheSize

    public void setPrepStmtCacheSize(int cacheSize)

  Specified by:
    `setPrepStmtCacheSize` in interface `ConnectionProperties`

### setPrepStmtCacheSqlLimit

    public void setPrepStmtCacheSqlLimit(int sqlLimit)

  Specified by:
    `setPrepStmtCacheSqlLimit` in interface `ConnectionProperties`

### setPreparedStatementCacheSize

    public void setPreparedStatementCacheSize(int cacheSize)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setPreparedStatementCacheSize` in interface `ConnectionProperties`
  Parameters:
    `cacheSize` - The preparedStatementCacheSize to set.

### setPreparedStatementCacheSqlLimit

    public void setPreparedStatementCacheSqlLimit(int cacheSqlLimit)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setPreparedStatementCacheSqlLimit` in interface `ConnectionProperties`
  Parameters:
    `cacheSqlLimit` - The preparedStatementCacheSqlLimit to set.

### setProcessEscapeCodesForPrepStmts

    public void setProcessEscapeCodesForPrepStmts(boolean flag)

  Specified by:
    `setProcessEscapeCodesForPrepStmts` in interface `ConnectionProperties`

### setProfileSQL

    public void setProfileSQL(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setProfileSQL` in interface `ConnectionProperties`
  Parameters:
    `flag` - The profileSQL to set.

### setProfileSql

    public void setProfileSql(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setProfileSql` in interface `ConnectionProperties`

### setProfilerEventHandler

    public void setProfilerEventHandler(java.lang.String handler)

  Specified by:
    `setProfilerEventHandler` in interface `ConnectionProperties`

### setPropertiesTransform

    public void setPropertiesTransform(java.lang.String value)

  Specified by:
    `setPropertiesTransform` in interface `ConnectionProperties`

### setQueriesBeforeRetryMaster

    public void setQueriesBeforeRetryMaster(int property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setQueriesBeforeRetryMaster` in interface `ConnectionProperties`

### setReconnectAtTxEnd

    public void setReconnectAtTxEnd(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setReconnectAtTxEnd` in interface `ConnectionProperties`

### setRelaxAutoCommit

    public void setRelaxAutoCommit(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setRelaxAutoCommit` in interface `ConnectionProperties`

### setReportMetricsIntervalMillis

    public void setReportMetricsIntervalMillis(int millis)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setReportMetricsIntervalMillis` in interface `ConnectionProperties`
  Parameters:
    `millis` - The reportMetricsIntervalMillis to set.

### setRequireSSL

    public void setRequireSSL(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setRequireSSL` in interface `ConnectionProperties`

### setResourceId

    public void setResourceId(java.lang.String resourceId)

  Specified by:
    `setResourceId` in interface `ConnectionProperties`

### setResultSetSizeThreshold

    public void setResultSetSizeThreshold(int threshold)

  Specified by:
    `setResultSetSizeThreshold` in interface `ConnectionProperties`

### setRetainStatementAfterResultSetClose

    public void setRetainStatementAfterResultSetClose(boolean flag)

  Specified by:
    `setRetainStatementAfterResultSetClose` in interface `ConnectionProperties`

### setRewriteBatchedStatements

    public void setRewriteBatchedStatements(boolean flag)

  Specified by:
    `setRewriteBatchedStatements` in interface `ConnectionProperties`

### setRollbackOnPooledClose

    public void setRollbackOnPooledClose(boolean flag)

  Specified by:
    `setRollbackOnPooledClose` in interface `ConnectionProperties`

### setRoundRobinLoadBalance

    public void setRoundRobinLoadBalance(boolean flag)

  Description copied from interface: `ConnectionProperties`
  Sets whether or not hosts will be picked in a round-robin fashion.

  Specified by:
    `setRoundRobinLoadBalance` in interface `ConnectionProperties`
  Parameters:
    `flag` - The roundRobinLoadBalance property to set.

### setRunningCTS13

    public void setRunningCTS13(boolean flag)

  Specified by:
    `setRunningCTS13` in interface `ConnectionProperties`

### setSecondsBeforeRetryMaster

    public void setSecondsBeforeRetryMaster(int property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setSecondsBeforeRetryMaster` in interface `ConnectionProperties`

### setSelfDestructOnPingMaxOperations

    public void setSelfDestructOnPingMaxOperations(int maxOperations)

  Specified by:
    `setSelfDestructOnPingMaxOperations` in interface `ConnectionProperties`

### setSelfDestructOnPingSecondsLifetime

    public void setSelfDestructOnPingSecondsLifetime(int seconds)

  Specified by:
    `setSelfDestructOnPingSecondsLifetime` in interface `ConnectionProperties`

### setServerTimezone

    public void setServerTimezone(java.lang.String property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setServerTimezone` in interface `ConnectionProperties`
  Parameters:
    `property` - DOCUMENT ME!

### setSessionVariables

    public void setSessionVariables(java.lang.String variables)

  Specified by:
    `setSessionVariables` in interface `ConnectionProperties`

### setSlowQueryThresholdMillis

    public void setSlowQueryThresholdMillis(int millis)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setSlowQueryThresholdMillis` in interface `ConnectionProperties`
  Parameters:
    `millis` - The slowQueryThresholdMillis to set.

### setSlowQueryThresholdNanos

    public void setSlowQueryThresholdNanos(long nanos)

  Specified by:
    `setSlowQueryThresholdNanos` in interface `ConnectionProperties`

### setSocketFactory

    public void setSocketFactory(java.lang.String name)

  Specified by:
    `setSocketFactory` in interface `ConnectionProperties`

### setSocketFactoryClassName

    public void setSocketFactoryClassName(java.lang.String property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setSocketFactoryClassName` in interface `ConnectionProperties`

### setSocketTimeout

    public void setSocketTimeout(int property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setSocketTimeout` in interface `ConnectionProperties`

### setStatementInterceptors

    public void setStatementInterceptors(java.lang.String value)

  Specified by:
    `setStatementInterceptors` in interface `ConnectionProperties`

### setStrictFloatingPoint

    public void setStrictFloatingPoint(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setStrictFloatingPoint` in interface `ConnectionProperties`

### setStrictUpdates

    public void setStrictUpdates(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setStrictUpdates` in interface `ConnectionProperties`

### setTcpKeepAlive

    public void setTcpKeepAlive(boolean flag)

  Specified by:
    `setTcpKeepAlive` in interface `ConnectionProperties`

### setTcpNoDelay

    public void setTcpNoDelay(boolean flag)

  Specified by:
    `setTcpNoDelay` in interface `ConnectionProperties`

### setTcpRcvBuf

    public void setTcpRcvBuf(int bufSize)

  Specified by:
    `setTcpRcvBuf` in interface `ConnectionProperties`

### setTcpSndBuf

    public void setTcpSndBuf(int bufSize)

  Specified by:
    `setTcpSndBuf` in interface `ConnectionProperties`

### setTcpTrafficClass

    public void setTcpTrafficClass(int classFlags)

  Specified by:
    `setTcpTrafficClass` in interface `ConnectionProperties`

### setTinyInt1isBit

    public void setTinyInt1isBit(boolean flag)

  Specified by:
    `setTinyInt1isBit` in interface `ConnectionProperties`

### setTraceProtocol

    public void setTraceProtocol(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setTraceProtocol` in interface `ConnectionProperties`
  Parameters:
    `flag` - The logProtocol to set.

### setTransformedBitIsBoolean

    public void setTransformedBitIsBoolean(boolean flag)

  Specified by:
    `setTransformedBitIsBoolean` in interface `ConnectionProperties`

### setTreatUtilDateAsTimestamp

    public void setTreatUtilDateAsTimestamp(boolean flag)

  Specified by:
    `setTreatUtilDateAsTimestamp` in interface `ConnectionProperties`

### setTrustCertificateKeyStorePassword

    public void setTrustCertificateKeyStorePassword(java.lang.String value)

  Specified by:
    `setTrustCertificateKeyStorePassword` in interface `ConnectionProperties`

### setTrustCertificateKeyStoreType

    public void setTrustCertificateKeyStoreType(java.lang.String value)

  Specified by:
    `setTrustCertificateKeyStoreType` in interface `ConnectionProperties`

### setTrustCertificateKeyStoreUrl

    public void setTrustCertificateKeyStoreUrl(java.lang.String value)

  Specified by:
    `setTrustCertificateKeyStoreUrl` in interface `ConnectionProperties`

### setUltraDevHack

    public void setUltraDevHack(boolean flag)

  Specified by:
    `setUltraDevHack` in interface `ConnectionProperties`

### setUseBlobToStoreUTF8OutsideBMP

    public void setUseBlobToStoreUTF8OutsideBMP(boolean flag)

  Specified by:
    `setUseBlobToStoreUTF8OutsideBMP` in interface `ConnectionProperties`

### setUseCompression

    public void setUseCompression(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseCompression` in interface `ConnectionProperties`

### setUseConfigs

    public void setUseConfigs(java.lang.String configs)

  Specified by:
    `setUseConfigs` in interface `ConnectionProperties`

### setUseCursorFetch

    public void setUseCursorFetch(boolean flag)

  Specified by:
    `setUseCursorFetch` in interface `ConnectionProperties`

### setUseDirectRowUnpack

    public void setUseDirectRowUnpack(boolean flag)

  Specified by:
    `setUseDirectRowUnpack` in interface `ConnectionProperties`

### setUseDynamicCharsetInfo

    public void setUseDynamicCharsetInfo(boolean flag)

  Specified by:
    `setUseDynamicCharsetInfo` in interface `ConnectionProperties`

### setUseFastDateParsing

    public void setUseFastDateParsing(boolean flag)

  Specified by:
    `setUseFastDateParsing` in interface `ConnectionProperties`

### setUseFastIntParsing

    public void setUseFastIntParsing(boolean flag)

  Specified by:
    `setUseFastIntParsing` in interface `ConnectionProperties`

### setUseGmtMillisForDatetimes

    public void setUseGmtMillisForDatetimes(boolean flag)

  Specified by:
    `setUseGmtMillisForDatetimes` in interface `ConnectionProperties`

### setUseHostsInPrivileges

    public void setUseHostsInPrivileges(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseHostsInPrivileges` in interface `ConnectionProperties`

### setUseInformationSchema

    public void setUseInformationSchema(boolean flag)

  Specified by:
    `setUseInformationSchema` in interface `ConnectionProperties`

### setUseJDBCCompliantTimezoneShift

    public void setUseJDBCCompliantTimezoneShift(boolean flag)

  Specified by:
    `setUseJDBCCompliantTimezoneShift` in interface `ConnectionProperties`

### setUseJvmCharsetConverters

    public void setUseJvmCharsetConverters(boolean flag)

  Specified by:
    `setUseJvmCharsetConverters` in interface `ConnectionProperties`

### setUseLegacyDatetimeCode

    public void setUseLegacyDatetimeCode(boolean flag)

  Specified by:
    `setUseLegacyDatetimeCode` in interface `ConnectionProperties`

### setUseLocalSessionState

    public void setUseLocalSessionState(boolean flag)

  Specified by:
    `setUseLocalSessionState` in interface `ConnectionProperties`

### setUseNanosForElapsedTime

    public void setUseNanosForElapsedTime(boolean flag)

  Specified by:
    `setUseNanosForElapsedTime` in interface `ConnectionProperties`

### setUseOldAliasMetadataBehavior

    public void setUseOldAliasMetadataBehavior(boolean flag)

  Specified by:
    `setUseOldAliasMetadataBehavior` in interface `ConnectionProperties`

### setUseOldUTF8Behavior

    public void setUseOldUTF8Behavior(boolean flag)

  Specified by:
    `setUseOldUTF8Behavior` in interface `ConnectionProperties`

### setUseOnlyServerErrorMessages

    public void setUseOnlyServerErrorMessages(boolean flag)

  Specified by:
    `setUseOnlyServerErrorMessages` in interface `ConnectionProperties`

### setUseReadAheadInput

    public void setUseReadAheadInput(boolean flag)

  Specified by:
    `setUseReadAheadInput` in interface `ConnectionProperties`

### setUseSSL

    public void setUseSSL(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseSSL` in interface `ConnectionProperties`

### setUseSSPSCompatibleTimezoneShift

    public void setUseSSPSCompatibleTimezoneShift(boolean flag)

  Specified by:
    `setUseSSPSCompatibleTimezoneShift` in interface `ConnectionProperties`

### setUseServerPrepStmts

    public void setUseServerPrepStmts(boolean flag)

  Specified by:
    `setUseServerPrepStmts` in interface `ConnectionProperties`

### setUseServerPreparedStmts

    public void setUseServerPreparedStmts(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseServerPreparedStmts` in interface `ConnectionProperties`
  Parameters:
    `flag` - The detectServerPreparedStmts to set.

### setUseSqlStateCodes

    public void setUseSqlStateCodes(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseSqlStateCodes` in interface `ConnectionProperties`
  Parameters:
    `flag` - The useSqlStateCodes to set.

### setUseStreamLengthsInPrepStmts

    public void setUseStreamLengthsInPrepStmts(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseStreamLengthsInPrepStmts` in interface `ConnectionProperties`

### setUseTimezone

    public void setUseTimezone(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseTimezone` in interface `ConnectionProperties`

### setUseUltraDevWorkAround

    public void setUseUltraDevWorkAround(boolean property)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseUltraDevWorkAround` in interface `ConnectionProperties`

### setUseUnbufferedInput

    public void setUseUnbufferedInput(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseUnbufferedInput` in interface `ConnectionProperties`
  Parameters:
    `flag` - The useUnbufferedInput to set.

### setUseUnicode

    public void setUseUnicode(boolean flag)

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `setUseUnicode` in interface `ConnectionProperties`
  Parameters:
    `flag` - The useUnicode to set.

### setUseUsageAdvisor

    public void setUseUsageAdvisor(boolean useUsageAdvisorFlag)

  Description copied from interface: `ConnectionProperties`
  Sets whether or not the driver advises of proper usage.

  Specified by:
    `setUseUsageAdvisor` in interface `ConnectionProperties`
  Parameters:
    `useUsageAdvisorFlag` - whether or not the driver advises of proper usage.

### setUtf8OutsideBmpExcludedColumnNamePattern

    public void setUtf8OutsideBmpExcludedColumnNamePattern(java.lang.String regexPattern)

  Specified by:
    `setUtf8OutsideBmpExcludedColumnNamePattern` in interface `ConnectionProperties`

### setUtf8OutsideBmpIncludedColumnNamePattern

    public void setUtf8OutsideBmpIncludedColumnNamePattern(java.lang.String regexPattern)

  Specified by:
    `setUtf8OutsideBmpIncludedColumnNamePattern` in interface `ConnectionProperties`

### setVerifyServerCertificate

    public void setVerifyServerCertificate(boolean flag)

  Specified by:
    `setVerifyServerCertificate` in interface `ConnectionProperties`

### setYearIsDateType

    public void setYearIsDateType(boolean flag)

  Specified by:
    `setYearIsDateType` in interface `ConnectionProperties`

### setZeroDateTimeBehavior

    public void setZeroDateTimeBehavior(java.lang.String behavior)

  Specified by:
    `setZeroDateTimeBehavior` in interface `ConnectionProperties`

### useUnbufferedInput

    public boolean useUnbufferedInput()

  Description copied from interface: `ConnectionProperties`
  DOCUMENT ME!

  Specified by:
    `useUnbufferedInput` in interface `ConnectionProperties`
  Returns:
    Returns the useUnbufferedInput.

### isSameResource

    public boolean isSameResource(Connection c)

  Description copied from interface: `Connection`
  Does this connection have the same resource name as the given connection (for XA)?

  Returns:

### setInGlobalTx

    public void setInGlobalTx(boolean flag)

  Description copied from interface: `Connection`
  Set the state of being in a global (XA) transaction.

### getUseColumnNamesInFindColumn

    public boolean getUseColumnNamesInFindColumn()

  Specified by:
    `getUseColumnNamesInFindColumn` in interface `ConnectionProperties`

### setUseColumnNamesInFindColumn

    public void setUseColumnNamesInFindColumn(boolean flag)

  Specified by:
    `setUseColumnNamesInFindColumn` in interface `ConnectionProperties`

### getUseLocalTransactionState

    public boolean getUseLocalTransactionState()

  Specified by:
    `getUseLocalTransactionState` in interface `ConnectionProperties`

### setUseLocalTransactionState

    public void setUseLocalTransactionState(boolean flag)

  Specified by:
    `setUseLocalTransactionState` in interface `ConnectionProperties`

### getCompensateOnDuplicateKeyUpdateCounts

    public boolean getCompensateOnDuplicateKeyUpdateCounts()

  Specified by:
    `getCompensateOnDuplicateKeyUpdateCounts` in interface `ConnectionProperties`

### setCompensateOnDuplicateKeyUpdateCounts

    public void setCompensateOnDuplicateKeyUpdateCounts(boolean flag)

  Specified by:
    `setCompensateOnDuplicateKeyUpdateCounts` in interface `ConnectionProperties`

### getUseAffectedRows

    public boolean getUseAffectedRows()

  Specified by:
    `getUseAffectedRows` in interface `ConnectionProperties`

### setUseAffectedRows

    public void setUseAffectedRows(boolean flag)

  Specified by:
    `setUseAffectedRows` in interface `ConnectionProperties`

### getPasswordCharacterEncoding

    public java.lang.String getPasswordCharacterEncoding()

  Specified by:
    `getPasswordCharacterEncoding` in interface `ConnectionProperties`

### setPasswordCharacterEncoding

    public void setPasswordCharacterEncoding(java.lang.String characterSet)

  Specified by:
    `setPasswordCharacterEncoding` in interface `ConnectionProperties`

### getAutoIncrementIncrement

    public int getAutoIncrementIncrement()

  Description copied from interface: `Connection`
  Returns the -session- value of 'auto_increment_increment' from the server if it exists, or '1' if not.

### getLoadBalanceBlacklistTimeout

    public int getLoadBalanceBlacklistTimeout()

  Specified by:
    `getLoadBalanceBlacklistTimeout` in interface `ConnectionProperties`

### setLoadBalanceBlacklistTimeout

    public void setLoadBalanceBlacklistTimeout(int loadBalanceBlacklistTimeout)

  Specified by:
    `setLoadBalanceBlacklistTimeout` in interface `ConnectionProperties`

### getRetriesAllDown

    public int getRetriesAllDown()

  Specified by:
    `getRetriesAllDown` in interface `ConnectionProperties`

### setRetriesAllDown

    public void setRetriesAllDown(int retriesAllDown)

  Specified by:
    `setRetriesAllDown` in interface `ConnectionProperties`